import { trigger, transition, style, query, animateChild, group, animate, state } from "@angular/animations";

export const horizontalSlideAnimation =
    trigger('horizontalSlideAnimation', [
        transition('cadastro => listagem', [
            style({ position: 'relative' }),
            query(':enter, :leave', [
                style({
                    position: 'absolute',
                    top: 0,
                    left: 0,
                    width: '100%'
                })
            ]),
            query(':enter', [
                style({ left: '-100%' })
            ]),
            query(':leave', animateChild()),
            group([
                query(':leave', [
                    animate('300ms ease-out', style({ left: '100%' }))
                ]),
                query(':enter', [
                    animate('300ms ease-out', style({ left: '0%' }))
                ])
            ]),
            query(':enter', animateChild()),
        ]),
        transition('listagem => cadastro', [
            style({ position: 'relative' }),
            query(':enter, :leave', [
                style({
                    position: 'absolute',
                    top: 0,
                    left: 0,
                    width: '100%'
                })
            ]),
            query(':enter', [
                style({ left: '100%' })
            ]),
            query(':leave', animateChild()),
            group([
                query(':leave', [
                    animate('300ms ease-out', style({ left: '-100%' }))
                ]),
                query(':enter', [
                    animate('300ms ease-out', style({ left: '0%' }))
                ])
            ]),
            query(':enter', animateChild()),
        ])
    ]);

    export const stepAnimation =
    trigger('stepAnimation', [
        transition('1 => 2', [
            style({ position: 'relative' }),
            query(':enter, :leave', [
                style({
                    position: 'absolute',
                    top: 0,
                    left: 0,
                    width: '100%'
                })
            ]),
            query(':enter', [
                style({ left: '100%' })
            ]),
            query(':leave', animateChild()),
            group([
                query(':leave', [
                    animate('300ms ease-out', style({ left: '-100%' }))
                ]),
                query(':enter', [
                    animate('300ms ease-out', style({ left: '0%' }))
                ])
            ]),
            query(':enter', animateChild()),
        ])
    ]);

export const listAnimation =
    trigger('listAnimation', [
        transition(':enter', [
            style({ opacity: 0 }),
            animate('330ms ease-in', style({ opacity: 1 })),
        ])
        // ,
        // transition(':leave', [
        //     animate('330ms ease-out', style({ opacity: 0 }))
        // ])
    ]);

export const verticalSlideAnimation =
    trigger('verticalSlideAnimation', [
        transition('true => false', [
            style({ transform: 'translateY(100%)' }),
            animate('300ms ease-in')
        ]),
        transition('false => true', [
            style({ transform: 'translateY(-100%)' }),
            animate('300ms ease-in')
        ])
    ]);    