import { Component } from '@angular/core';
import { AppComponent } from './app.component';
import { OauthService } from './seguranca/oauth.service';
import { environment } from 'src/environments/environment';

@Component({
    selector: 'app-topbar',
    templateUrl: './app.topbar.component.html'
})
export class AppTopBarComponent {

    nomeUsuario: string;
    urlFoto: string;

    constructor(
        public app: AppComponent,
        private authService: OauthService) {
        if (this.authService.isUsuarioLogado()) {
            this.nomeUsuario = this.authService.jwtPayload.nome;
            this.urlFoto = this.authService.jwtPayload.urlFoto;
        }
    }

    getURL() {
        if(this.urlFoto){
            return `${environment.apiUrl}/usuarios/foto/${this.urlFoto}`;
          } else {
            return 'assets/uploads/without-avatar.png';
          }
    }
}
