import { Injectable } from '@angular/core';
import { CanActivate, ActivatedRouteSnapshot, RouterStateSnapshot, Router } from '@angular/router';
import { Observable } from 'rxjs';
import { OauthService } from '../seguranca/oauth.service';

@Injectable({
  providedIn: 'root'
})
export class ClienteGuard implements CanActivate {

  constructor(
    private router: Router,
    private oauthService: OauthService
  ) { }

  canActivate(
    next: ActivatedRouteSnapshot,
    state: RouterStateSnapshot): Observable<boolean> | Promise<boolean> | boolean {
    
      if (this.oauthService.usuarioPossuiAlgumaPermissaoValida(['ROLE_ADMINISTRADOR'])) {
        return true;
      }
  
      if (this.oauthService.jwtPayload && next.params.id != this.oauthService.jwtPayload.idUsuario) {
        this.router.navigate(['/acesso-negado']);
        return false;
      }
      
      return true;
  }
}
