import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { CadastroClienteComponent } from './cadastro-cliente/cadastro-cliente.component';
import { OauthGuard } from '../seguranca/oauth.guard';
import { ListagemClienteComponent } from './listagem-cliente/listagem-cliente.component';
import { ClienteGuard } from './cliente.guard';
import { DetalhesClienteComponent } from './detalhes-cliente/detalhes-cliente.component';

const routes: Routes = [
  { path: 'clientes', component: ListagemClienteComponent, canActivate: [OauthGuard], data: { roles: ['ROLE_ADMINISTRADOR'], animation: 'listagem' } },
  { path: 'clientes/novo', component: CadastroClienteComponent, canActivate: [OauthGuard], data: { roles: ['ROLE_ADMINISTRADOR'], animation: 'cadastro' } },
  { path: 'clientes/:id', component: CadastroClienteComponent, canActivate: [OauthGuard, ClienteGuard], data: { roles: ['ROLE_ADMINISTRADOR','ROLE_PESSOA'], animation: 'cadastro' } },
  { path: 'clientes/:idCliente/detalhes', component: DetalhesClienteComponent, canActivate: [OauthGuard, ClienteGuard], data: { roles: ['ROLE_ADMINISTRADOR','ROLE_PESSOA'], animation: 'cadastro' } }  
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class ClientesRoutingModule { }
