import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { CadastroClienteComponent } from './cadastro-cliente/cadastro-cliente.component';
import { ListagemClienteComponent } from './listagem-cliente/listagem-cliente.component';

import { ClientesRoutingModule } from './clientes-routing.module';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { BlockUIModule } from 'primeng/blockui';
import { ButtonModule } from 'primeng/button';
import { DialogModule } from 'primeng/dialog';
import { CalendarModule } from 'primeng/calendar';
import { CheckboxModule } from 'primeng/checkbox';
import { ConfirmDialogModule } from 'primeng/confirmdialog';
import { DropdownModule } from 'primeng/dropdown';
import { FileUploadModule } from 'primeng/fileupload';
import { InputMaskModule } from 'primeng/inputmask';
import { InputTextareaModule } from 'primeng/inputtextarea';
import { InputTextModule } from 'primeng/inputtext';
import { KeyFilterModule } from 'primeng/keyfilter';
import { PasswordModule } from 'primeng/password';
import { ProgressSpinnerModule } from 'primeng/progressspinner';
import { RadioButtonModule } from 'primeng/radiobutton';
import { SelectButtonModule } from 'primeng/selectbutton';
import { SpinnerModule } from 'primeng/spinner';
import { SplitButtonModule } from 'primeng/splitbutton';
import { TableModule } from 'primeng/table';
import { TabViewModule } from 'primeng/tabview';
import { ToastModule } from 'primeng/toast';
import { TooltipModule } from 'primeng/tooltip';
import { EnderecoModule } from './endereco/endereco.module';
import { ClientesService } from './clientes.service';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
import { ClienteGuard } from './cliente.guard';
import { DetalhesClienteComponent } from './detalhes-cliente/detalhes-cliente.component';
import { PanelModule } from 'primeng/panel';
import {GMapModule} from 'primeng/gmap';
import { ProgressBarModule } from 'primeng/primeng';

@NgModule({
  declarations: [
    CadastroClienteComponent, 
    ListagemClienteComponent,
    DetalhesClienteComponent, 
  ],
  imports: [
    CommonModule,
    FormsModule,
    ReactiveFormsModule,
    BrowserAnimationsModule,
    ClientesRoutingModule,
    EnderecoModule,

    BlockUIModule,
    ButtonModule,
    CalendarModule,
    CheckboxModule,
    ConfirmDialogModule,
    DialogModule,
    DropdownModule,
    GMapModule,
    FileUploadModule,
    InputMaskModule,
    InputTextareaModule,
    InputTextModule,
    KeyFilterModule,
    PanelModule,
    PasswordModule,
    ProgressSpinnerModule,
    ProgressBarModule,
    RadioButtonModule,
    SelectButtonModule,
    SpinnerModule,
    SplitButtonModule,
    TableModule,
    TabViewModule,
    ToastModule,
    TooltipModule
  ],
  providers: [
    ClienteGuard,
    ClientesService,
  ],
  exports: [DetalhesClienteComponent]
})
export class ClientesModule { }
