import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { EnderecoService } from './endereco.service';
import { CadastroEnderecoComponent } from './cadastro-endereco/cadastro-endereco.component';
import { ReactiveFormsModule } from '@angular/forms';

import { BlockUIModule } from 'primeng/blockui';
import { DropdownModule } from 'primeng/dropdown';
import { InputMaskModule } from 'primeng/inputmask';
import { InputTextareaModule } from 'primeng/inputtextarea';
import { InputTextModule } from 'primeng/inputtext';
import { ProgressSpinnerModule } from 'primeng/progressspinner';
import { TooltipModule } from 'primeng/tooltip';
import { GMapModule } from 'primeng/gmap';
import { ProgressBarModule, MessagesModule, MessageModule } from 'primeng/primeng';

@NgModule({
  declarations: [CadastroEnderecoComponent],
  imports: [
    CommonModule,
    ReactiveFormsModule,

    BlockUIModule,
    DropdownModule,
    GMapModule,
    InputMaskModule,
    InputTextareaModule,
    InputTextModule,
    ProgressBarModule,
    ProgressSpinnerModule,
    MessagesModule,
    MessageModule,
    TooltipModule
  ],
  providers: [
    EnderecoService
  ],
  exports: [
    CadastroEnderecoComponent
  ]
})
export class EnderecoModule { }
