import { Component, OnInit, ViewEncapsulation } from '@angular/core';
import { ContasService } from 'src/app/usuarios/contas.service';

@Component({
  selector: 'app-dashboard-admin',
  templateUrl: './dashboard-admin.component.html',
  styleUrls: ['./dashboard-admin.component.css'],
  encapsulation: ViewEncapsulation.None
})
export class DashboardAdminComponent implements OnInit {

  clientesEstado: any;
  clientesEstadoOptions: any;

  clientesGenero: any;
  clientesGeneroOptions: any;

  clientesComoConheceu: any;
  clientesComoConheceuOptions: any;

  faturamento: number;

  constructor(
    private contasService: ContasService
  ) { 

  }

  ngOnInit() {
     
  }

  private chartPieConstruct(dataset: any[]): any {
    const labels: string[] = [];
    const values: number[] = [];
    const backgroundColors: string[] = [];
    let color = this.hexadecimalColorGenerator();
    dataset.forEach(
      (d) => {
        labels.push(d[0]); // label
        values.push(d[1]); // dado

        while (backgroundColors.includes(color)) {
          color = this.hexadecimalColorGenerator();
        }
        backgroundColors.push(color);
      }
    )

    return {
      labels: labels,
      datasets: [
        {
          data: values,
          backgroundColor: backgroundColors,
          hoverBackgroundColor: backgroundColors
        }]
    };
  }

  private chartBarConstruct(dataset: any[]): any {
    const labels: string[] = [];
    const values: any[] = [];
    const backgroundColors: string[] = [];
    let color = this.hexadecimalColorGenerator();
    dataset.forEach(
      (d) => {
        while (backgroundColors.includes(color)) {
          color = this.hexadecimalColorGenerator();
        }
        backgroundColors.push(color);

        labels.push(d[0]); // label
        values.push({
          label: d[0],
          data: [d[1]],
          backgroundColor: color,
          hoverBackgroundColor: color
        }); // dado

      }
    )

    return {
      datasets: values
    };
  }

  private hexadecimalColorGenerator(): string {
    let value = '#';
    for (let i = 0; i < 6; i++) {
      value += Math.floor((Math.random() * 15) + 1).toString(16);
    }
    return value;
  }

  private optionsPieGenerator(title: string): any {
    return {
      title: {
        display: true,
        text: title,
        fontSize: 16
      },
      legend: {
        position: 'bottom'
      },
      tooltips: {
        callbacks: {
          label: function (tooltipItem, data) {
            let totalRecords = 0;
            for (let i = 0; i < data.datasets[tooltipItem.datasetIndex].data.length; i++) {
              totalRecords += data.datasets[tooltipItem.datasetIndex].data[i];
            }
            const valor = data.datasets[tooltipItem.datasetIndex].data[tooltipItem.index];
            return ((Math.round((Number(valor) / totalRecords) * 1000)) / 10) + '%';
          }
        }
      }
    }
  }

  private optionsBarGenerator(title: string): any {
    return {
      title: {
        display: true,
        text: title,
        fontSize: 16
      },
      legend: {
        position: 'bottom'
      }
    }
  }

}
