
import { DashboardRoutingModule } from './dashboard-routing.module';
import { DashboardComponent } from './dashboard/dashboard.component';
import { DashboardClienteComponent } from './dashboard-cliente/dashboard-cliente.component';
import { DashboardAdminComponent } from './dashboard-admin/dashboard-admin.component';

import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ReactiveFormsModule, FormsModule } from '@angular/forms';

import { AutoCompleteModule } from 'primeng/autocomplete';
import { BlockUIModule } from 'primeng/blockui';
import { ButtonModule } from 'primeng/button';
import { DialogModule } from 'primeng/dialog';
import { CalendarModule } from 'primeng/calendar';
import { CardModule } from 'primeng/card';
import { ChartModule } from 'primeng/chart';
import { ConfirmDialogModule } from 'primeng/confirmdialog';
import { DropdownModule } from 'primeng/dropdown';
import { FieldsetModule } from 'primeng/fieldset';
import { FileUploadModule } from 'primeng/fileupload';
import { FullCalendarModule } from 'primeng/fullcalendar';
import { InputMaskModule } from 'primeng/inputmask';
import { InputSwitchModule } from 'primeng/inputswitch';
import { InputTextareaModule } from 'primeng/inputtextarea';
import { InputTextModule } from 'primeng/inputtext';
import { KeyFilterModule } from 'primeng/keyfilter';
import { PanelModule } from 'primeng/panel';
import { PasswordModule } from 'primeng/password';
import { ProgressSpinnerModule } from 'primeng/progressspinner';
import { RadioButtonModule } from 'primeng/radiobutton';
import { SelectButtonModule } from 'primeng/selectbutton';
import { SpinnerModule } from 'primeng/spinner';
import { SplitButtonModule } from 'primeng/splitbutton';
import { StepsModule } from 'primeng/steps';
import { TableModule } from 'primeng/table';
import { TabViewModule } from 'primeng/tabview';
import { ToastModule } from 'primeng/toast';
import { TooltipModule } from 'primeng/tooltip';

import { EnderecoModule } from '../clientes/endereco/endereco.module';

import { GlobalPipesModule } from '../global-pipes/global-pipes.module';

import { DashboardService } from './dashboard.service';
import { DashboardGuard } from './dashboard.guard';

import { GMapModule } from 'primeng/gmap';
import { DynamicDialogModule } from 'primeng/components/dynamicdialog/dynamicdialog';
import { MessagesModule, MessageModule } from 'primeng/primeng';

@NgModule({
  declarations: [
    DashboardComponent,
    DashboardClienteComponent,
    DashboardAdminComponent,
  ],
  imports: [
    AutoCompleteModule,
    BlockUIModule,
    ButtonModule,
    CalendarModule,
    CardModule,
    ChartModule,
    CommonModule,
    ConfirmDialogModule,
    DashboardRoutingModule,
    DialogModule,
    DynamicDialogModule,
    DropdownModule,
    EnderecoModule,
    FieldsetModule,
    FileUploadModule,
    FullCalendarModule,
    FormsModule,
    GlobalPipesModule,
    GMapModule,
    InputMaskModule,
    InputSwitchModule,
    InputTextareaModule,
    InputTextModule,
    KeyFilterModule,
    MessagesModule,
    MessageModule,
    PanelModule,
    PasswordModule,
    ProgressSpinnerModule,
    RadioButtonModule,
    ReactiveFormsModule,
    SelectButtonModule,
    SpinnerModule,
    SplitButtonModule,
    StepsModule,
    TableModule,
    TabViewModule,
    ToastModule,
    TooltipModule,
  ],
  providers: [
    DashboardService,
    DashboardGuard
  ]
})
export class DashboardModule { }
