import { Component, OnInit } from '@angular/core';
import { OauthService } from 'src/app/seguranca/oauth.service';
import { BreadcrumbService } from 'src/app/breadcrumb.service';

@Component({
  selector: 'app-dashboard',
  templateUrl: './dashboard.component.html',
  styleUrls: ['./dashboard.component.css']
})
export class DashboardComponent implements OnInit {

  isAdmin: boolean;
  isCliente: boolean;

  constructor(
    private oauthService: OauthService,
    private breadcrumbService: BreadcrumbService
  ) { }

  ngOnInit() {

    this.isAdmin = this.oauthService.checkPermission('ROLE_ADMINISTRADOR');
    this.isCliente = this.oauthService.checkPermission('ROLE_CLIENTE');

    this.breadcrumbService.setItems([]);

  }
}
