import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { CadastroAtividadePraticaComponent } from './cadastro-atividadePratica/cadastro-atividadePratica.component';
import { OauthGuard } from '../../seguranca/oauth.guard';
import { ListagemAtividadePraticaComponent } from './listagem-atividadePratica/listagem-atividadePratica.component';
import { DetalhesAtividadePraticaComponent } from './detalhes-atividadePratica/detalhes-atividadePratica.component';

const routes: Routes = [
  { path: 'drdebug/atividadePratica', 
    component: ListagemAtividadePraticaComponent, 
    canActivate: [OauthGuard], 
    data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'listagem' } 
  },
  { path: 'drdebug/atividadePratica/novo', 
  component: CadastroAtividadePraticaComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'cadastro' } 
  },
  { path: 'drdebug/atividadePratica/:id', 
  component: CadastroAtividadePraticaComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'cadastro' } 
  },
  { path: 'drdebug/atividadePratica/detalhes/:id', 
  component: DetalhesAtividadePraticaComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'listagem' } 
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class AtividadePraticaRoutingModule { }
