import { Injectable } from '@angular/core';
import { AtividadePratica } from './atividadePratica';
import { HttpHeaders, HttpClient } from '@angular/common/http';
import { environment } from 'src/environments/environment';
import { Page } from '../../utils/page';

@Injectable({
  providedIn: 'root'
})
export class AtividadePraticaService {

  httpOptions = {
    headers: new HttpHeaders({
      'Content-Type': 'application/json',
    })
  };

  url: string;
  idCount: number = 2;

  constructor(
    private http: HttpClient
  ) {
    this.url = `${environment.apiUrl}/atividadePratica`;
  }

  findAll(pagina: number) {
    let nome = '';
    return this.http.get<Page<AtividadePratica>>(`${this.url}?nome=${nome}&pagina=${pagina}`);
  }
  
  findByNome(nome:string, pagina: number) {
    return this.http.get<Page<AtividadePratica>>(`${this.url}?nome=${nome}&pagina=${pagina}`);
  }

  findById(id: number) {
    return this.http.get<AtividadePratica>(`${this.url}/${id}`);
  }

  delete(id: number) {
    return this.http.delete<AtividadePratica>(`${this.url}/${id}`);
  }

  update(atividadePratica: AtividadePratica) {
    return this.http.put<AtividadePratica>(`${this.url}/${atividadePratica.id}`, atividadePratica, this.httpOptions);
  }

  insert(atividadePratica: AtividadePratica) {
    return this.http.post<AtividadePratica>(this.url, atividadePratica, this.httpOptions);
  }

}
