import { Component, OnInit } from '@angular/core';
import { BreadcrumbService } from 'src/app/breadcrumb.service';
import { MessageService } from 'primeng/api';
import { AtividadePratica } from '../atividadePratica';
import { AtividadePraticaService } from '../atividadePratica.service';
import { Router, ActivatedRoute } from '@angular/router';

@Component({
  selector: 'app-detalhes-atividadePratica',
  templateUrl: './detalhes-atividadePratica.component.html',
  styleUrls: ['./detalhes-atividadePratica.component.css']
})
export class DetalhesAtividadePraticaComponent implements OnInit {

  titulo: string;
  atividadePratica: AtividadePratica;
  statusAtividadePratica: boolean = true;
  
  cols: any[];
  loading: boolean;


  constructor(
    private breadcrumbService: BreadcrumbService,
    private messageService: MessageService,
    private atividadePraticaService: AtividadePraticaService,
    private activatedRoute: ActivatedRoute,
    private router: Router
  ) {
    this.atividadePratica = new AtividadePratica();

    const id = this.activatedRoute.snapshot.params['id'];
    
    this.breadcrumbService.setItems([
      { label: 'AtividadePratica', routerLink: ['drdebug/atividadePratica'] , visible: true},
      { label: 'Editar', routerLink: [`drdebug/atividadePratica/${id}`], visible: id != undefined },
      { label: 'Novo', routerLink: ['drdebug/atividadePratica/novo'] , visible: !id},
    ]);
    if (id) {
      this.atividadePraticaService.findById(id)
        .subscribe(
          (atividadePratica: AtividadePratica) => {
            if(atividadePratica){
              this.atividadePratica = atividadePratica;
              this.statusAtividadePratica = (this.atividadePratica.status == 'ATIVO');
            
              this.breadcrumbService.setItems([
                { label: 'AtividadePratica', routerLink: ['drdebugl/atividadePratica'] , visible: true},
                { label: this.atividadePratica.nome, routerLink: [`drdebug/atividadePratica/${id}`] , visible: true}
              ]);
            } else {
              this.router.navigate(['drdebug/atividadePratica']);
            }
          }
        )
    } 

    this.titulo = 'Detalhes';
  }

  ngOnInit() {
    
  }
  
  mostrarMensagemErro(mensagem: string) {
    this.messageService.add({ severity: 'error', summary: 'Erro', detail: mensagem });
  }

  mostrarMensagemInfo(mensagem: string) {
    this.messageService.add({ severity: 'info', summary: 'Info', detail: mensagem });
  }

  mostrarMensagemSucesso(mensagem: string) {
    this.messageService.add({ severity: 'success', summary: 'Sucesso', detail: mensagem });
  }

}
