import { Component, OnInit } from '@angular/core';
import { BreadcrumbService } from 'src/app/breadcrumb.service';
import { MessageService } from 'primeng/api';
import { DueloDePontos } from '../dueloDePontos';
import { DueloDePontosService } from '../dueloDePontos.service';
import { Router, ActivatedRoute } from '@angular/router';

@Component({
  selector: 'app-detalhes-dueloDePontos',
  templateUrl: './detalhes-dueloDePontos.component.html',
  styleUrls: ['./detalhes-dueloDePontos.component.css']
})
export class DetalhesDueloDePontosComponent implements OnInit {

  titulo: string; 
  dueloDePontos: DueloDePontos;
  statusDueloDePontos: boolean = true;
  
  cols: any[];
  loading: boolean;


  constructor(
    private breadcrumbService: BreadcrumbService,
    private messageService: MessageService,
    private dueloDePontosService: DueloDePontosService,
    private activatedRoute: ActivatedRoute,
    private router: Router
  ) {
    this.dueloDePontos = new DueloDePontos();

    const id = this.activatedRoute.snapshot.params['id'];
    
    this.breadcrumbService.setItems([
      { label: 'DueloDePontos', routerLink: ['/drdebug/dueloDePontos'] , visible: true},
      { label: 'Editar', routerLink: [`/drdebug/dueloDePontos/${id}`], visible: id != undefined },
      { label: 'Novo', routerLink: ['/drdebug/dueloDePontos/novo'] , visible: !id},
    ]);
    if (id) {
      this.dueloDePontosService.findById(id)
        .subscribe(
          (dueloDePontos: DueloDePontos) => {
            if(dueloDePontos){
              this.dueloDePontos = dueloDePontos;
              this.statusDueloDePontos = (this.dueloDePontos.status == 'ATIVO');
            
              this.breadcrumbService.setItems([
                { label: 'DueloDePontos', routerLink: ['/drdebug/dueloDePontos'] , visible: true},
                { label: this.dueloDePontos.jogador1, routerLink: [`/drdebug/dueloDePontos/${id}`] , visible: true}
              ]);
            } else {
              this.router.navigate(['/drdebug/dueloDePontos']);
            }
          }
        )
    } 

    this.titulo = 'Detalhes';
  }

  ngOnInit() {
    
  }
  
  mostrarMensagemErro(mensagem: string) {
    this.messageService.add({ severity: 'error', summary: 'Erro', detail: mensagem });
  }

  mostrarMensagemInfo(mensagem: string) {
    this.messageService.add({ severity: 'info', summary: 'Info', detail: mensagem });
  }

  mostrarMensagemSucesso(mensagem: string) {
    this.messageService.add({ severity: 'success', summary: 'Sucesso', detail: mensagem });
  }

}
