import { Injectable } from '@angular/core';
import { DueloDePontos } from './dueloDePontos';
import { HttpHeaders, HttpClient } from '@angular/common/http';
import { environment } from 'src/environments/environment';
import { Page } from '../../utils/page';

@Injectable({
  providedIn: 'root'
})
export class DueloDePontosService {

  httpOptions = {
    headers: new HttpHeaders({
      'Content-Type': 'application/json',
    })
  };

  url: string;
  idCount: number = 2;

  constructor(
    private http: HttpClient
  ) {
    this.url = `${environment.apiUrl}/drdebug/dueloDePontos`;
  }

  findAll(pagina: number) {
    let jogador1 = '';
    return this.http.get<Page<DueloDePontos>>(`${this.url}?jogador1=${jogador1}&pagina=${pagina}`);
  }
  
  findByNome(jogador1:string, pagina: number) {
    return this.http.get<Page<DueloDePontos>>(`${this.url}?jogador1=${jogador1}&pagina=${pagina}`);
  }

  findById(id: number) {
    return this.http.get<DueloDePontos>(`${this.url}/${id}`);
  }

  delete(id: number) {
    return this.http.delete<DueloDePontos>(`${this.url}/${id}`);
  }

  update(dueloDePontos: DueloDePontos) {
    return this.http.put<DueloDePontos>(`${this.url}/${dueloDePontos.id}`, dueloDePontos, this.httpOptions);
  }

  insert(dueloDePontos: DueloDePontos) {
    return this.http.post<DueloDePontos>(this.url, dueloDePontos, this.httpOptions);
  }

}
