import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { CadastroDueloDePontosComponent } from './cadastro-dueloDePontos/cadastro-dueloDePontos.component';
import { OauthGuard } from '../../seguranca/oauth.guard';
import { ListagemDueloDePontosComponent } from './listagem-dueloDePontos/listagem-dueloDePontos.component';
import { DetalhesDueloDePontosComponent } from './detalhes-dueloDePontos/detalhes-dueloDePontos.component';

const routes: Routes = [
  { path: 'drdebug/dueloDePontos', 
    component: ListagemDueloDePontosComponent, 
    canActivate: [OauthGuard], 
    data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'listagem' } 
  },
  { path: 'drdebug/dueloDePontos/novo', 
  component: CadastroDueloDePontosComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'cadastro' } 
  },
  { path: 'drdebug/dueloDePontos/:id', 
  component: CadastroDueloDePontosComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'cadastro' } 
  },
  { path: 'drdebug/dueloDePontos/detalhes/:id', 
  component: DetalhesDueloDePontosComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'listagem' } 
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class DueloDePontosRoutingModule { 
  
}
