import { Component, OnInit } from '@angular/core';
import { BreadcrumbService } from 'src/app/breadcrumb.service';
import { MessageService } from 'primeng/api';
import { Empresa } from '../empresa';
import { EmpresaService } from '../empresa.service';
import { Router, ActivatedRoute } from '@angular/router';

@Component({
  selector: 'app-detalhes-empresa',
  templateUrl: './detalhes-empresa.component.html',
  styleUrls: ['./detalhes-empresa.component.css']
})
export class DetalhesEmpresaComponent implements OnInit {

  titulo: string;
  empresa: Empresa;
  statusEmpresa: boolean = true;
  
  cols: any[];
  loading: boolean;


  constructor(
    private breadcrumbService: BreadcrumbService,
    private messageService: MessageService,
    private empresasService: EmpresaService,
    private activatedRoute: ActivatedRoute,
    private router: Router
  ) {
    this.empresa = new Empresa();

    const id = this.activatedRoute.snapshot.params['id'];
    
    this.breadcrumbService.setItems([
      { label: 'Empresa', routerLink: ['/empresa'] , visible: true},
      { label: 'Editar', routerLink: [`/drdebug/empresa/${id}`], visible: id != undefined },
      { label: 'Novo', routerLink: ['/drdebug/empresa/novo'] , visible: !id},
    ]);
    if (id) {
      this.empresasService.findById(id)
        .subscribe(
          (empresa: Empresa) => {
            if(empresa){
              this.empresa = empresa;
             // this.statusEmpresa = (this.empresa.status == 'ATIVO');
            
              this.breadcrumbService.setItems([
                { label: 'Empresa', routerLink: ['/drdebug/empresa'] , visible: true},
                { label: this.empresa.nome, routerLink: [`/drdebug/empresa/${id}`] , visible: true}
              ]);
            } else {
              this.router.navigate(['/drdebug/empresa']);
            }
          }
        )
    } 

    this.titulo = 'Detalhes';
  }

  ngOnInit() {
    
  }
  
  mostrarMensagemErro(mensagem: string) {
    this.messageService.add({ severity: 'error', summary: 'Erro', detail: mensagem });
  }

  mostrarMensagemInfo(mensagem: string) {
    this.messageService.add({ severity: 'info', summary: 'Info', detail: mensagem });
  }

  mostrarMensagemSucesso(mensagem: string) {
    this.messageService.add({ severity: 'success', summary: 'Sucesso', detail: mensagem });
  }

}