import { Injectable } from '@angular/core';
import { Empresa } from './empresa';
import { HttpHeaders, HttpClient } from '@angular/common/http';
import { environment } from 'src/environments/environment';
import { Page } from '../../utils/page';

@Injectable({
  providedIn: 'root'
})
export class EmpresaService {

  httpOptions = {
    headers: new HttpHeaders({
      'Content-Type': 'application/json',
    })
  };

  url: string;
  idCount: number = 2;

  constructor(
    private http: HttpClient
  ) {
    this.url = `${environment.apiUrl}/drdebug/empresa`;
  }

  findAll(pagina: number) {
    let nome = '';
    return this.http.get<Page<Empresa>>(`${this.url}?nome=${nome}&pagina=${pagina}`);
  }
  
  findByNome(nome:string, pagina: number) {
    return this.http.get<Page<Empresa>>(`${this.url}?nome=${nome}&pagina=${pagina}`);
  }

  findById(id: number) {
    return this.http.get<Empresa>(`${this.url}/${id}`);
  }

  delete(id: number) {
    return this.http.delete<Empresa>(`${this.url}/${id}`);
  }

  update(empresa: Empresa) {
    return this.http.put<Empresa>(`${this.url}/${empresa.id}`, empresa, this.httpOptions);
  }

  insert(empresa: Empresa) {
    return this.http.post<Empresa>(this.url, empresa, this.httpOptions);
  }

}
