import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { CadastroEmpresaComponent } from './cadastro-empresa/cadastro-empresa.component';
import { OauthGuard } from '../../seguranca/oauth.guard';
import { ListagemEmpresaComponent } from './listagem-empresa/listagem-empresa.component';
import { DetalhesEmpresaComponent } from './detalhes-empresa/detalhes-empresa.component';

const routes: Routes = [
  { path: 'drdebug/empresa',
    component: ListagemEmpresaComponent, 
    canActivate: [OauthGuard], 
    data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'listagem' } 
  },
  { path: 'drdebug/empresa/novo', 
  component: CadastroEmpresaComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'cadastro' } 
  },
  { path: 'drdebug/empresa/:id', 
  component: CadastroEmpresaComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'cadastro' } 
  },
  { path: 'drdebug/empresa/detalhes/:id', 
  component: DetalhesEmpresaComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'listagem' } 
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class EmpresasRoutingModule { }
