import { Component, OnInit } from '@angular/core';
import { BreadcrumbService } from 'src/app/breadcrumb.service';
import { MessageService } from 'primeng/api';
import { GameNivelService } from '../game-nivel.service';
import { Router, ActivatedRoute } from '@angular/router';
import { GameNivel } from '../game-nivel';

@Component({
  selector: 'app-detalhar-game-nivel',
  templateUrl: './detalhar-game-nivel.component.html',
  styleUrls: ['./detalhar-game-nivel.component.css']
})
export class DetalharGameNivelComponent implements OnInit {

  titulo: string;
  gnivel: GameNivel;
  statusGameNivel: boolean = true;

  cols: any[];
  loading: boolean;

  constructor(
    private breadcrumbService: BreadcrumbService,
    private messageService: MessageService,
    private gameNivelService: GameNivelService,
    private activatedRoute: ActivatedRoute,
    private router: Router
  ) { 
    this.gnivel = new GameNivel();

    const id = this.activatedRoute.snapshot.params['id'];

    this.breadcrumbService.setItems([
      { label: 'Nível do game', routerLink: ['/drdebug/gameNivel/listar'], visible: true },
      { label: 'Editar', routerLink: [`/drdebug/gameNivel/listar/${id}`], visible: id != undefined }
    ]);
    if(id) {
      this.gameNivelService.findById(id).
      subscribe(
        (gaNivel: GameNivel) => { 
          if(gaNivel) {
            this.gnivel = gaNivel;
            this.statusGameNivel = (this.gnivel.status == 'ATIVO');

            this.breadcrumbService.setItems([
              { label: 'Nível de game', routerLink: ['/drdebug/gameNivel/listar'], visible: true },
              { label: this.gnivel.nome, routerLink:[`/drdebug/gameNivel/listar/${id}`], visible: true}
            ]);
          } else {
            this.router.navigate(['/drdebug/gameNivel/listar']);
          }
        }
      )
    }

    this.titulo = 'Detalhes';
  }

  ngOnInit() {
  }

  mostrarMensagemErro(mensagem: string) {
    this.messageService.add({ severity: 'error', summary: 'Erro', detail: mensagem });
  }

  mostrarMensagemInfo(mensagem: string) {
    this.messageService.add({ severity: 'info', summary: 'Info', detail: mensagem });
  }

  mostrarMensagemSucesso(mensagem: string) {
    this.messageService.add({ severity: 'success', summary: 'Sucesso', detail: mensagem });
  }
}
