import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { ListarGameNivelComponent } from './listar-game-nivel/listar-game-nivel.component';
import { OauthGuard } from 'src/app/seguranca/oauth.guard';
import { CadastrarGameNivelComponent } from './cadastrar-game-nivel/cadastrar-game-nivel.component';
import { DetalharGameNivelComponent } from './detalhar-game-nivel/detalhar-game-nivel.component';

const router: Routes = [
    { path: 'drdebug/gameNivel/listar', 
      component: ListarGameNivelComponent, 
      canActivate: [OauthGuard], 
      data: {roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'listagem'}
    },
    { path: 'drdebug/gameNivel/novo',
      component: CadastrarGameNivelComponent,
      canActivate: [OauthGuard],
      data: {roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'cadastro'}
    },
    { path: 'drdebug/gameNivel/listar/:id',
      component: CadastrarGameNivelComponent,
      canActivate: [OauthGuard],
      data: {roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'cadastro'}
    },
    { path: 'drdebug/gameNivel/detalhes/:id',
      component: DetalharGameNivelComponent,
      canActivate: [OauthGuard],
      data: {roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'listagem'}
    },
];

@NgModule({
    imports: [RouterModule.forChild(router)],
    exports: [RouterModule]
})
export class GameNivelRoutingModule { }