import { Injectable } from '@angular/core';
import { HttpHeaders, HttpClient } from '@angular/common/http';
import { environment } from 'src/environments/environment.prod';
import { GameNivel } from '../game-nivel/game-nivel';
import { Page } from 'src/app/utils/page';

@Injectable({
  providedIn: 'root'
})

export class GameNivelService {

  httpOptions = {
    headers: new HttpHeaders({
      'Content-Type': 'application/json',
    })
  };

  url: string;
  idCount: number = 2;

  constructor(
    private http: HttpClient
  ) { 
    this.url = `${environment.apiUrl}/niveisGame/`
  }

  findAll(pagina: number) {
    let nome = '';
    return this.http.get<Page<GameNivel>>(`${this.url}?nome=${nome}&pagina=${pagina}`);
  }

  findById(id: number) {
    return this.http.get<GameNivel>(`${this.url}${id}`);
  }

  findByNome(nome: string, pagina: number) {
    return this.http.get<Page<GameNivel>>(`${this.url}?nome=${nome}&pagina=${pagina}`);
  }

  insert(gnivel: GameNivel) {
    return this.http.post<GameNivel>(this.url, gnivel, this.httpOptions);
  }

  delete(id: number) {
    return this.http.delete<GameNivel>(`${this.url}${id}`);
  }

  update(gNivel: GameNivel) {
    return this.http.put<GameNivel>(`${this.url}${gNivel.id}`, gNivel, this.httpOptions)
  }
}
