import { Component, OnInit } from '@angular/core';
import { BreadcrumbService } from 'src/app/breadcrumb.service';
import { MessageService } from 'primeng/api';
import { GameService } from '../game.service';
import { ActivatedRoute, Router, RouterLink } from '@angular/router';
import { Game } from '../game';

@Component({
  selector: 'app-detalhes-game',
  templateUrl: './detalhes-game.component.html',
  styleUrls: ['./detalhes-game.component.css']
})
export class DetalhesGameComponent implements OnInit {

  game: Game;
  gameStatus: boolean=true;

  titulo: string;

  constructor(
    private breadcrumbService: BreadcrumbService,
    private messageService: MessageService,
    private gameService: GameService,
    private activatedRoute: ActivatedRoute,
    private router: Router
  ) { 
    this.game = new Game();

    const id = this.activatedRoute.snapshot.params['id'];

    this.breadcrumbService.setItems(
      [
        {label: 'Game', routerLink: ['/drdebug/game'], visible: true},
        {label: 'Editar', routerLink: [`/drdebug/game/${id}`], visible: id != undefined},
        {label: 'Novo', routerLink: ['/drdebug/novo'], visible: !id},
      ]
    );
    if(id){
      this.gameService.findById(id)
      .subscribe(
        (game: Game)=>{
          if(game){
            this.game = game;
            this.gameStatus = (this.game.status=='ATIVO');

            this.breadcrumbService.setItems([
              {label: 'Game', routerLink: ['/drdebug/game/'], visible: true},
              {label: this.game.nome, routerLink: [`/drdebug/game/${id}`], visible: true}
            ]);
          }else{
            this.router.navigate(['/drdebug/game']);
          }
        }
      )
    }

    this.titulo = 'Detalhes Game';

  }

  ngOnInit() {

  }

  mostrarMensagemErro(mensagem: string){
    this.messageService.add({severity: 'error', summary: 'Erro', detail: mensagem});
  }

  mostrarMensagemInfo(mensagem: string){
    this.messageService.add({severity: 'info', summary:'Info', detail:mensagem});
  }

  mostrarMensagemSucesso(mensagem: string){
    this.messageService.add({severity: 'success', summary:'Sucesso', detail: mensagem});
  }
}
