import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { Routes, RouterModule } from '@angular/router';
import { CadastroComponent } from './cadastro/cadastro.component';
import { OauthGuard } from 'src/app/seguranca/oauth.guard';
import { ListagemGameComponent } from './listagem-game/listagem-game.component';
import { DetalhesGameComponent } from './detalhes-game/detalhes-game.component';


/*Listar as rotas dos componentes...*/

const routes: Routes = [
    { path: 'drdebug/game',
      component: ListagemGameComponent,
      canActivate: [OauthGuard],
      data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation:'listagem'}
    },
    { path: 'drdebug/game/novo',
      component: CadastroComponent,
      canActivate: [OauthGuard],
      data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation:'cadastro'}
    },
    { path: 'drdebug/game/:id',
    component: CadastroComponent,
    canActivate: [OauthGuard],
    data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation:'cadastro'}
  },
  { path: 'drdebug/game/detalhes/:id',
  component: DetalhesGameComponent,
  canActivate: [OauthGuard],
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation:'listagem'}
}
];


@NgModule({
    imports: [ RouterModule.forChild(routes) ],
    exports: [RouterModule],
})
export class FeatureModule { }