import { Injectable } from "@angular/core";
import { HttpHeaders, HttpClient } from '@angular/common/http';
import { environment } from 'src/environments/environment';
import { Page } from 'src/app/utils/page';
import { Game } from './game';

@Injectable({
    providedIn: 'root'
})
export class GameService{
    //variável
    httpOption = {
        headers: new HttpHeaders({
            'Content-Type': 'application/json',
        })
    };

    url: string;
    idCount: number = 2;

    constructor(
        private http: HttpClient
    ){
        this.url = `${environment.apiUrl}/drdebug/game`;
    }

    listar(){
        return this.http.get(`${this.url}/` );
    }

    findAll(pagina: number){
        let nome = '';

        console.log(this.url);
        return this.http.get<Page<Game>>(`${this.url}/?nome=${nome}&pagina=${pagina}`);
    }

    findByNome(nome: string, pagina: number){
        return this.http.get<Page<Game>>(`${this.url}/?nome=${nome}&pagina=${pagina}`);
    }

    findById(id: number){
        return this.http.get<Game>(`${this.url}/${id}`);
    }

    delete(id: number){
        return this.http.delete<Game>(`${this.url}/${id}`);
    }

    update(game: Game){
        console.log(game.id);
        return this.http.put<Game>(`${this.url}/${game.id}`, game, this.httpOption);
    }

    insert(game: Game){
        return this.http.post<Game>(`${this.url}/`,game);
    }
}