import { Component, OnInit } from '@angular/core';
import { BreadcrumbService } from 'src/app/breadcrumb.service';
import { MessageService } from 'primeng/api';
import { Time } from '../time';
import { TimeService } from '../time.service';
import { Router, ActivatedRoute } from '@angular/router';

@Component({
  selector: 'app-detalhes-time',
  templateUrl: './detalhes-time.component.html',
  styleUrls: ['./detalhes-time.component.css']
})
export class DetalhesTimeComponent implements OnInit {

  titulo: string;
  time: Time;
  statusTime: boolean = true;
  
  cols: any[];
  loading: boolean;


  constructor(
    private breadcrumbService: BreadcrumbService,
    private messageService: MessageService,
    private timesService: TimeService,
    private activatedRoute: ActivatedRoute,
    private router: Router
  ) {
    this.time = new Time();

    const id = this.activatedRoute.snapshot.params['id'];
    
    this.breadcrumbService.setItems([
      { label: 'Times', routerLink: ['/drdebug/times'] , visible: true},
      { label: 'Editar', routerLink: [`/drdebug/times/${id}`], visible: id != undefined },
      { label: 'Novo', routerLink: ['/drdebug/times/novo'] , visible: !id},
    ]);
    if (id) {
      this.timesService.findById(id)
        .subscribe(
          (time: Time) => {
            if(time){
              this.time = time;
              this.statusTime = (this.time.status == 'ATIVO');
            
              this.breadcrumbService.setItems([
                { label: 'Times', routerLink: ['/drdebug/times'] , visible: true},
                { label: this.time.nome, routerLink: [`/drdebug/times/${id}`] , visible: true}
              ]);
            } else {
              this.router.navigate(['/drdebug/times']);
            }
          }
        )
    } 

    this.titulo = 'Detalhes';
  }

  ngOnInit() {
    
  }
  
  mostrarMensagemErro(mensagem: string) {
    this.messageService.add({ severity: 'error', summary: 'Erro', detail: mensagem });
  }

  mostrarMensagemInfo(mensagem: string) {
    this.messageService.add({ severity: 'info', summary: 'Info', detail: mensagem });
  }

  mostrarMensagemSucesso(mensagem: string) {
    this.messageService.add({ severity: 'success', summary: 'Sucesso', detail: mensagem });
  }

}
