import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { CadastroTimeComponent } from './cadastro-time/cadastro-time.component';
import { OauthGuard } from '../../seguranca/oauth.guard';
import { ListagemTimeComponent } from './listagem-time/listagem-time.component';
import { DetalhesTimeComponent } from './detalhes-time/detalhes-time.component';

const routes: Routes = [
  { path: 'drdebug/time', 
    component: ListagemTimeComponent, 
    canActivate: [OauthGuard], 
    data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'listagem' } 
  },
  { path: 'drdebug/time/novo', 
  component: CadastroTimeComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'cadastro' } 
  },
  { path: 'drdebug/time/:id', 
  component: CadastroTimeComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'cadastro' } 
  },
  { path: 'drdebug/time/detalhes/:id', 
  component: DetalhesTimeComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'listagem' } 
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class TimesRoutingModule { }
