import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { TimesRoutingModule } from './time-routing.module';
import { CadastroTimeComponent } from './cadastro-time/cadastro-time.component';
import { FormsModule } from '@angular/forms';

import { AutoCompleteModule } from 'primeng/autocomplete';
import { BlockUIModule } from 'primeng/blockui';
import { ButtonModule } from 'primeng/button';
import { DialogModule } from 'primeng/dialog';
import { CalendarModule } from 'primeng/calendar';
import { ConfirmDialogModule } from 'primeng/confirmdialog';
import { DropdownModule } from 'primeng/dropdown';
import {FieldsetModule} from 'primeng/fieldset';
import { FileUploadModule } from 'primeng/fileupload';
import { InputMaskModule } from 'primeng/inputmask';
import { InputSwitchModule } from 'primeng/inputswitch';
import { InputTextareaModule } from 'primeng/inputtextarea';
import { InputTextModule } from 'primeng/inputtext';
import { KeyFilterModule } from 'primeng/keyfilter';
import { PasswordModule } from 'primeng/password';
import { ProgressSpinnerModule } from 'primeng/progressspinner';
import { RadioButtonModule } from 'primeng/radiobutton';
import { SelectButtonModule } from 'primeng/selectbutton';
import { SpinnerModule } from 'primeng/spinner';
import { StepsModule } from 'primeng/steps';
import { TableModule } from 'primeng/table';
import { TabViewModule } from 'primeng/tabview';
import { ToastModule } from 'primeng/toast';
import { TooltipModule } from 'primeng/tooltip';
import { ListagemTimeComponent } from './listagem-time/listagem-time.component';
import { GlobalPipesModule } from '../../global-pipes/global-pipes.module';
import { DetalhesTimeComponent } from './detalhes-time/detalhes-time.component';


@NgModule({
  declarations: [
    CadastroTimeComponent, 
    DetalhesTimeComponent,
    ListagemTimeComponent],
  imports: [
    CommonModule,
    TimesRoutingModule,
    FormsModule,

    AutoCompleteModule,
    BlockUIModule,
    ButtonModule,
    CalendarModule,
    ConfirmDialogModule,
    DialogModule,
    DropdownModule,
    FieldsetModule,
    FileUploadModule,
    InputMaskModule,
    InputSwitchModule,
    InputTextareaModule,
    InputTextModule,
    KeyFilterModule,
    PasswordModule,
    ProgressSpinnerModule,
    RadioButtonModule,
    SelectButtonModule,
    SpinnerModule,
    StepsModule,
    TableModule,
    TabViewModule,
    ToastModule,
    TooltipModule,

    GlobalPipesModule
  ]
})
export class TimeModule { }
