import { Injectable } from '@angular/core';
import { Time } from './time';
import { HttpHeaders, HttpClient } from '@angular/common/http';
import { environment } from 'src/environments/environment';
import { Page } from '../../utils/page';

@Injectable({
  providedIn: 'root'
})
export class TimeService {

  httpOptions = {
    headers: new HttpHeaders({
      'Content-Type': 'application/json',
    })
  };

  url: string;
  idCount: number = 2;

  constructor(
    private http: HttpClient
  ) {
    this.url = `${environment.apiUrl}/drdebug/time`;
  }

  findAll(pagina: number) {
    let nome = '';
    return this.http.get<Page<Time>>(`${this.url}?pagina=${pagina}`);
  }
  
  findByNome(nome:string, pagina: number) {
    return this.http.get<Page<Time>>(`${this.url}?nome=${nome}&pagina=${pagina}`);
  }

  findById(id: number) {
    return this.http.get<Time>(`${this.url}/${id}`);
  }

  delete(id: number) {
    return this.http.delete<Time>(`${this.url}/${id}`);
  }

  update(time: Time) {
    return this.http.put<Time>(`${this.url}/${time.id}`, time, this.httpOptions);
  }

  insert(time: Time) {
    return this.http.post<Time>(this.url, time, this.httpOptions);
  }

}
