import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { CadastroCompraComponent } from './cadastro-compra/cadastro-compra.component';
import { OauthGuard } from '../../seguranca/oauth.guard';
import { ListagemCompraComponent } from './listagem-compra/listagem-compra.component';
import { DetalhesCompraComponent } from './detalhes-compra/detalhes-compra.component';

const routes: Routes = [
  { path: 'estoque/compra', 
    component: ListagemCompraComponent, 
    canActivate: [OauthGuard], 
    data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'listagem' } 
  },
  { path: 'estoque/compra/novo', 
  component: CadastroCompraComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'cadastro' } 
  },
  { path: 'estoque/compra/:id', 
  component: CadastroCompraComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'cadastro' } 
  },
  { path: 'estoque/compra/detalhes/:id', 
  component: DetalhesCompraComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'listagem' } 
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class CompraRoutingModule { }
