import { Injectable } from '@angular/core';
import { Compra } from './compra';
import { HttpHeaders, HttpClient } from '@angular/common/http';
import { Page } from '../../utils/page';
import { environment } from 'src/environments/environment';

@Injectable({
  providedIn: 'root'
})
export class CompraService {
  url: string;
  apiUrl = `${environment.apiUrl}/estoque/compras`


  httpOptions = {
      headers: new HttpHeaders({
          'Content-Type': 'application/json',
      })
  };
  constructor(private httpCliente: HttpClient) { }
  findAll(pagina: number) {
    let nome = '';
    return this.httpCliente.get<Page<Compra>>(`${this.apiUrl}/?nome=${nome}&pagina=${pagina}`);
  }
  
  findById(id: number) {
    return this.httpCliente.get<Compra>(`${this.apiUrl}/${id}`);
  }

  insert(compra: Compra) {
    return this.httpCliente.post<Compra>(`${this.apiUrl}/`, compra, this.httpOptions);
  }

  delete(id: number) {
    return this.httpCliente.delete<Compra>(`${this.apiUrl}/${id}`);
  }
  findByNome(nome: string, pagina: number){
    return this.httpCliente.get<Page<Compra>>(`${this.apiUrl}?nome=${nome}&pagina=${pagina}`);
  }

  update(compra: any) {
    return this.httpCliente.put<Compra>(`${this.apiUrl}/${compra.id}`, compra, this.httpOptions);
  }
}
