import { Component, OnInit } from '@angular/core';
import { BreadcrumbService } from 'src/app/breadcrumb.service';
import { MessageService } from 'primeng/api';
import { Compra } from '../compra';
import { CompraService } from '../compra.service';
import { Router, ActivatedRoute } from '@angular/router';

@Component({
  selector: 'app-detalhes-compra',
  templateUrl: './detalhes-compra.component.html'
})
export class DetalhesCompraComponent implements OnInit {

  titulo: string;
  compra: Compra;
  statusCompra: boolean = true;
  
  cols: any[];
  loading: boolean;


  constructor(
    private breadcrumbService: BreadcrumbService,
    private messageService: MessageService,
    private comprasService: CompraService,
    private activatedRoute: ActivatedRoute,
    private router: Router
  ) {
    this.compra = new Compra();

    const id = this.activatedRoute.snapshot.params['id'];
    
    this.breadcrumbService.setItems([
      { label: 'Compra', routerLink: ['/estoque/compra/listar'] , visible: true},
      { label: 'Editar', routerLink: [`/estoque/compra/${id}`], visible: id != undefined },
      { label: 'Novo', routerLink: ['/estoque/compra/novo'] , visible: !id},
    ]);
    console.log(id);
    if (id) {
      this.comprasService.findById(id)
        .subscribe(
          (compra: Compra) => {
            if(compra){
              this.compra = compra;
              this.breadcrumbService.setItems([
                { label: 'Compras', routerLink: ['/estoque/compra/listar'] , visible: true},
                { label: this.compra.produto, routerLink: [`/estoque/compra/${id}`] , visible: true}
              ]);
            } else {
              this.router.navigate(['/estoque/compra']);
            }
          }
        )
    } 

    this.titulo = 'Detalhes';
  }

  ngOnInit() {
    
  }
  
  mostrarMensagemErro(mensagem: string) {
    this.messageService.add({ severity: 'error', summary: 'Erro', detail: mensagem });
  }

  mostrarMensagemInfo(mensagem: string) {
    this.messageService.add({ severity: 'info', summary: 'Info', detail: mensagem });
  }

  mostrarMensagemSucesso(mensagem: string) {
    this.messageService.add({ severity: 'success', summary: 'Sucesso', detail: mensagem });
  }

}
