import { Component, OnInit } from '@angular/core';
import { BreadcrumbService } from 'src/app/breadcrumb.service';
import { MessageService } from 'primeng/api';
import { Produto } from '../produto';
import { ProdutoService } from '../produto.service';
import { Router, ActivatedRoute } from '@angular/router';

@Component({
  selector: 'app-detalhes-produto',
  templateUrl: './detalhes-produto.component.html',
  styleUrls: ['./detalhes-produto.component.css']
})
export class DetalhesProdutoComponent implements OnInit {

  titulo: string;
  Produto: Produto;
  statusProduto: boolean = true;
  
  cols: any[];
  loading: boolean;


  constructor(
    private breadcrumbService: BreadcrumbService,
    private messageService: MessageService,
    private ProdutosService: ProdutoService,
    private activatedRoute: ActivatedRoute,
    private router: Router
  ) {
    this.Produto = new Produto();

    const id = this.activatedRoute.snapshot.params['id'];
    
    this.breadcrumbService.setItems([
      { label: 'Produto', routerLink: ['/testes/produto'] , visible: true},
      { label: 'Editar', routerLink: [`/testes/produto/${id}`], visible: id != undefined },
      { label: 'Novo', routerLink: ['/testes/produto/novo'] , visible: !id},
    ]);
    if (id) {
      this.ProdutosService.findById(id)
        .subscribe(
          (Produto: Produto) => {
            if(Produto){
              this.Produto = Produto;
              
            
              this.breadcrumbService.setItems([
                { label: 'produto', routerLink: ['/testes/produto'] , visible: true},
                { label: this.Produto.nome, routerLink: [`/testes/produto/${id}`] , visible: true}
              ]);
            } else {
              this.router.navigate(['/testes/Produtos']);
            }
          }
        )
    } 

    this.titulo = 'Detalhes';
  }

  ngOnInit() {
    
  }
  
  mostrarMensagemErro(mensagem: string) {
    this.messageService.add({ severity: 'error', summary: 'Erro', detail: mensagem });
  }

  mostrarMensagemInfo(mensagem: string) {
    this.messageService.add({ severity: 'info', summary: 'Info', detail: mensagem });
  }

  mostrarMensagemSucesso(mensagem: string) {
    this.messageService.add({ severity: 'success', summary: 'Sucesso', detail: mensagem });
  }

}
