import { Injectable } from '@angular/core';
import { Produto } from './produto';
import { HttpHeaders, HttpClient } from '@angular/common/http';
import { environment } from 'src/environments/environment';
import { Page } from '../../utils/page';

@Injectable({
  providedIn: 'root'
})
export class ProdutoService {

  httpOptions = {
    headers: new HttpHeaders({
      'Content-Type': 'application/json',
    })
  };

  url: string;
  idCount: number = 2;

  constructor(
    private http: HttpClient
  ) {
    this.url = `${environment.apiUrl}/testes/produto`;
  }

  findAll(pagina: number) {
    let nome = '';
    return this.http.get<Page<Produto>>(`${this.url}?nome=${nome}&pagina=${pagina}`);
  }
  
  findByNome(nome:string, pagina: number) {
    return this.http.get<Page<Produto>>(`${this.url}?nome=${nome}&pagina=${pagina}`);
  }

  findById(id: number) {
    return this.http.get<Produto>(`${this.url}/${id}`);
  }

  delete(id: number) {
    return this.http.delete<Produto>(`${this.url}/${id}`);
  }

  update(produto: Produto) {
    return this.http.put<Produto>(`${this.url}/${produto.id}`, produto, this.httpOptions);
  }

  insert(produto: Produto) {
    return this.http.post<Produto>(this.url, Produto, this.httpOptions);
  }

}