import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { CadastroMedalhaComponent } from './cadastro-medalha/cadastro-medalha.component';
import { OauthGuard } from '../../seguranca/oauth.guard';
import { ListagemMedalhaComponent } from './listagem-medalha/listagem-medalha.component';
import { DetalhesMedalhaComponent } from './detalhes-medalha/detalhes-medalha.component';

const routes: Routes = [
  { path: 'gamepoints/medalha', 
    component: ListagemMedalhaComponent, 
    canActivate: [OauthGuard], 
    data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'listagem' } 
  },
  { path: 'gamepoints/medalha/novo', 
  component: CadastroMedalhaComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'cadastro' } 
  },
  { path: 'gamepoints/medalha/:id', 
  component: CadastroMedalhaComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'cadastro' } 
  },
  { path: 'gamepoints/medalha/detalhes/:id', 
  component: DetalhesMedalhaComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'listagem' } 
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class MedalhaRoutingModule { }
