import { Injectable } from '@angular/core';
import { Medalha } from './medalha';
import { HttpHeaders, HttpClient } from '@angular/common/http';
import { environment } from 'src/environments/environment';
import { Page } from '../../utils/page';

@Injectable({
  providedIn: 'root'
})
export class MedalhaService {

  httpOptions = {
    headers: new HttpHeaders({
      'Content-Type': 'application/json',
    })
  };

  url: string;
  idCount: number = 2;

  constructor(
    private http: HttpClient
  ) {
    this.url = `${environment.apiUrl}/gamepoints/medalha`;
  }

  findAll(pagina: number) {
    let nome = '';
    return this.http.get<Page<Medalha>>(`${this.url}?nome=${nome}&pagina=${pagina}`);
  }
  
  findByNome(nome:string, pagina: number) {
    return this.http.get<Page<Medalha>>(`${this.url}?nome=${nome}&pagina=${pagina}`);
  }

  findById(id: number) {
    return this.http.get<Medalha>(`${this.url}/${id}`);
  }

  delete(id: number) {
    return this.http.delete<Medalha>(`${this.url}/${id}`);
  }

  update(medalha: Medalha) {
    return this.http.put<Medalha>(`${this.url}/${medalha.id}`, medalha, this.httpOptions);
  }

  insert(medalha: Medalha) {
    return this.http.post<Medalha>(this.url+'/', medalha, this.httpOptions);
  }

}
