import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { CadastroCampanhaComponent } from './cadastro-campanha/cadastro-campanha.component';
import { OauthGuard } from '../../seguranca/oauth.guard';
import { ListagemCampanhaComponent } from './listagem-campanha/listagem-campanha.component';
import { DetalhesCampanhaComponent } from './detalhes-campanha/detalhes-campanha.component';

const routes: Routes = [
  { path: 'influenzer/campanha', 
    component: ListagemCampanhaComponent, 
    canActivate: [OauthGuard], 
    data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'listagem' } 
  },
  { path: 'influenzer/campanha/novo', 
  component: CadastroCampanhaComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'cadastro' } 
  },
  { path: 'influenzer/campanha/:id', 
  component: CadastroCampanhaComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'cadastro' } 
  },
  { path: 'influenzer/campanha/detalhes/:id',
  component: DetalhesCampanhaComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'listagem' } 
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class CampanhaRoutingModule { }
