import { Injectable } from '@angular/core';
import { Campanha } from './campanha';
import { HttpHeaders, HttpClient } from '@angular/common/http';
import { environment } from 'src/environments/environment';
import { Page } from '../../utils/page';

@Injectable({
  providedIn: 'root'
})
export class CampanhaService {

  httpOptions = {
    headers: new HttpHeaders({
      'Content-Type': 'application/json',
    })
  };

  url: string;
  idCount: number = 2;

  constructor(
    private http: HttpClient
  ) {
    this.url = `${environment.apiUrl}/influenzer/campanha`;
  }

  findAll(pagina: number) {
    let nome = '';
    return this.http.get<Page<Campanha>>(`${this.url}?nome=${nome}&pagina=${pagina}`);
  }
  
  findByNome(nome:string, pagina: number) {
    return this.http.get<Page<Campanha>>(`${this.url}?nome=${nome}&pagina=${pagina}`);
  }

  findById(id: number) {
    return this.http.get<Campanha>(`${this.url}/${id}`);
  }

  delete(id: number) {
    return this.http.delete<Campanha>(`${this.url}/${id}`);
  }

  update(campanha: Campanha) {
    return this.http.put<Campanha>(`${this.url}/${campanha.id}`, campanha, this.httpOptions);
  }

  insert(campanha: Campanha) {
    return this.http.post<Campanha>(this.url+"/", campanha, this.httpOptions);
  }

}
