import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { CadastroCasoDeTesteComponent } from './cadastro-casodeteste/cadastro-casodeteste.component';
import { OauthGuard } from '../../seguranca/oauth.guard';
import { ListagemCasoDeTesteComponent } from './listagem-casodeteste/listagem-casodeteste.component';
import { DetalhesCasoDeTesteComponent } from './detalhes-casodeteste/detalhes-casodeteste.component';

const routes: Routes = [
  { path: 'ipc/casodeteste', 
    component: ListagemCasoDeTesteComponent, 
    canActivate: [OauthGuard], 
    data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'listagem' } 
  },
  { path: 'ipc/casodeteste/novo', 
  component: CadastroCasoDeTesteComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'cadastro' } 
  },
  { path: 'ipc/casodeteste/:id', 
  component: CadastroCasoDeTesteComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'cadastro' } 
  },
  { path: 'ipc/casodeteste/detalhes/:id', 
  component: DetalhesCasoDeTesteComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'listagem' } 
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class CasoDeTesteRoutingModule { }
