import { Injectable } from '@angular/core';
import { CasoDeTeste } from './casodeteste';
import { HttpHeaders, HttpClient } from '@angular/common/http';
import { environment } from 'src/environments/environment';
import { Page } from '../../utils/page';

@Injectable({
  providedIn: 'root'
})
export class CasoDeTesteService {

  httpOptions = {
    headers: new HttpHeaders({
      'Content-Type': 'application/json',
    })
  };

  url: string;
  idCount: number = 2;

  constructor(
    private http: HttpClient
  ) {
    this.url = `${environment.apiUrl}/testes/casosdeteste`;
  }

  findAll(pagina: number) {
    let descricao = '';
    return this.http.get<Page<CasoDeTeste>>(`${this.url}?descricao=${descricao}&pagina=${pagina}`);
  }
  
  findByDescricao(descricao:string, pagina: number) {
    return this.http.get<Page<CasoDeTeste>>(`${this.url}?descricao=${descricao}&pagina=${pagina}`);
  }

  findById(id: number) {
    return this.http.get<CasoDeTeste>(`${this.url}/${id}`);
  }

  delete(id: number) {
    return this.http.delete<CasoDeTeste>(`${this.url}/${id}`);
  }

  update(casodeteste: CasoDeTeste) {
    return this.http.put<CasoDeTeste>(`${this.url}/${casodeteste.id}`, casodeteste, this.httpOptions);
  }

  insert(casodeteste: CasoDeTeste) {
    return this.http.post<CasoDeTeste>(this.url, casodeteste, this.httpOptions);
  }

}
