import { Component, OnInit } from '@angular/core';
import { BreadcrumbService } from 'src/app/breadcrumb.service';
import { MessageService } from 'primeng/api';
import { CasoDeTeste } from '../casodeteste';
import { CasoDeTesteService } from '../casodeteste.service';
import { Router, ActivatedRoute } from '@angular/router';

@Component({
  selector: 'app-detalhes-casodeteste',
  templateUrl: './detalhes-casodeteste.component.html',
  styleUrls: ['./detalhes-casodeteste.component.css']
})
export class DetalhesCasoDeTesteComponent implements OnInit {

  titulo: string;
  casodeteste: CasoDeTeste;
  statusCasoDeTeste: boolean = true;
  
  cols: any[];
  loading: boolean;


  constructor(
    private breadcrumbService: BreadcrumbService,
    private messageService: MessageService,
    private casodetesteService: CasoDeTesteService,
    private activatedRoute: ActivatedRoute,
    private router: Router
  ) {
    this.casodeteste = new CasoDeTeste();

    const id = this.activatedRoute.snapshot.params['id'];
    
    this.breadcrumbService.setItems([
      { label: 'CasoDeTeste', routerLink: ['ipc/casodeteste'] , visible: true},
      { label: 'Editar', routerLink: [`ipc/casodeteste/${id}`], visible: id != undefined },
      { label: 'Novo', routerLink: ['ipc/casodeteste/novo'] , visible: !id},
    ]);
    if (id) {
      this.casodetesteService.findById(id)
        .subscribe(
          (casodeteste: CasoDeTeste) => {
            if(casodeteste){
              this.casodeteste = casodeteste;
              this.statusCasoDeTeste = (this.casodeteste.status == 'ATIVO');
            
              this.breadcrumbService.setItems([
                { label: 'CasoDeTeste', routerLink: ['ipc/casodeteste'] , visible: true},
                { label: this.casodeteste.descricao, routerLink: [`ipc/casodeteste/${id}`] , visible: true}
              ]);
            } else {
              this.router.navigate(['ipc/casodeteste']);
            }
          }
        )
    } 

    this.titulo = 'Detalhes';
  }

  ngOnInit() {
    
  }
  
  mostrarMensagemErro(mensagem: string) {
    this.messageService.add({ severity: 'error', summary: 'Erro', detail: mensagem });
  }

  mostrarMensagemInfo(mensagem: string) {
    this.messageService.add({ severity: 'info', summary: 'Info', detail: mensagem });
  }

  mostrarMensagemSucesso(mensagem: string) {
    this.messageService.add({ severity: 'success', summary: 'Sucesso', detail: mensagem });
  }

}
