import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { CadastroCompeticaoComponent } from './cadastro-competicoes/cadastro-competicoes.component';
import { DetalhesCompeticaoComponent } from './detalhes-competicoes/detalhes-competicoes.component';
import { ListagemCompeticaoComponent } from './listagem-competicoes/listagem-competicoes.component';
import { OauthGuard } from '../../seguranca/oauth.guard';

const routes: Routes = [
  /* { path: 'ipc/competicoes', 
    component: ListagemCompeticaoComponent, 
    canActivate: [OauthGuard], 
    data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'listagem' } 
  }, */

  { path: 'ipc/competicoes', 
    component: ListagemCompeticaoComponent, 
    canActivate: [OauthGuard], 
    data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'listagem' } 
  },
  { path: 'ipc/competicoes/novo', 
  component: CadastroCompeticaoComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'cadastro' } 
  },
  { path: 'ipc/competicoes/:cid', 
  component: CadastroCompeticaoComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'cadastro' } 
  },
  { path: 'ipc/competicoes/detalhes/:cid', 
  component: DetalhesCompeticaoComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'listagem' } 
  },


];


@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class CompeticoesRoutingModule { }
