import { Injectable } from '@angular/core';
import { HttpHeaders, HttpClient } from '@angular/common/http';
import { environment } from 'src/environments/environment';
import { Page } from '../../utils/page';
import { Competicao } from './competicao';

@Injectable({
  providedIn: 'root'
})
export class CompeticoesService {

  httpOptions = {
    headers: new HttpHeaders({
      'Content-Type': 'application/json',
    })
  };

  url: string;
  idCount: number = 2;

  constructor(
    private http: HttpClient
  ) {
    this.url = `${environment.apiUrl}/ipc/competicao`;
  }

  findAll(pagina: number) {
    /* console.log("Passei FindAll"); */
    let nome = '';
    return this.http.get<Page<Competicao>>(`${this.url}?name=${nome}&pagina=${pagina}`);
  }

  returnAllContests() {
    // return this.http.get<Competicao[]>(`${this.url}?name=&pagina=0`);
    return this.http.get<Page<Competicao>>(`${this.url}?name=&pagina=0`);
  }

  findByNome(nome: string, pagina: number) {
    return this.http.get<Page<Competicao>>(`${this.url}?nome=${nome}&pagina=${pagina}`);
  }

  findById(cid: number) {
    return this.http.get<Competicao>(`${this.url}/${cid}`);
  }

  delete(cid: number) {
    return this.http.delete<Competicao>(`${this.url}/${cid}`);
  }

  update(competicao: Competicao) {
    return this.http.put<Competicao>(`${this.url}/${competicao.cid}`, competicao, this.httpOptions);
  }

  insert(competicao: Competicao) {
    return this.http.post<Competicao>(`${this.url}/`, competicao, this.httpOptions);
  }



}