import { Component, OnInit } from '@angular/core';
import { BreadcrumbService } from 'src/app/breadcrumb.service';
import { MessageService } from 'primeng/api';
import { Competicao } from '../competicao';
import { CompeticoesService } from '../competicoes.service';
import { Router, ActivatedRoute } from '@angular/router';

@Component({
  selector: 'app-detalhes-competicoes',
  templateUrl: './detalhes-competicoes.component.html',
  styleUrls: ['./detalhes-competicoes.component.css']
})
export class DetalhesCompeticaoComponent implements OnInit {

  titulo: string;
  competicao: Competicao;
    
  cols: any[];
  loading: boolean;


  constructor(
    private breadcrumbService: BreadcrumbService,
    private messageService: MessageService,
    private CompeticoesService: CompeticoesService,
    private activatedRoute: ActivatedRoute,
    private router: Router
  ) {
    this.competicao = new Competicao();

    const cid = this.activatedRoute.snapshot.params['cid'];
    
    this.breadcrumbService.setItems([
      { label: 'Competicoes', routerLink: ['/ipc/competicoes'] , visible: true},
      { label: 'Editar', routerLink: [`/ipc/competicoes/${cid}`], visible: cid != undefined },
      { label: 'Novo', routerLink: ['/ipc/competicoes/novo'] , visible: !cid},
    ]);
    if (cid) {
      this.CompeticoesService.findById(cid)
        .subscribe(
          (competicao: Competicao) => {
            if(competicao){
              this.competicao = competicao;
             // this.statusPessoaT = (this.competicao.status == 'ATIVO');
            
              this.breadcrumbService.setItems([
                { label: 'Competicoes', routerLink: ['/ipc/competicoes'] , visible: true},
                { label: this.competicao.name, routerLink: [`/ipc/competicoes/${cid}`] , visible: true}
              ]);
            } else {
              this.router.navigate(['/ipc/competicoes']);
            }
          }
        )
    } 

    this.titulo = 'Detalhes';
  }

  ngOnInit() {
    
  }
  
  mostrarMensagemErro(mensagem: string) {
    this.messageService.add({ severity: 'error', summary: 'Erro', detail: mensagem });
  }

  mostrarMensagemInfo(mensagem: string) {
    this.messageService.add({ severity: 'info', summary: 'Info', detail: mensagem });
  }

  mostrarMensagemSucesso(mensagem: string) {
    this.messageService.add({ severity: 'success', summary: 'Sucesso', detail: mensagem });
  }

}
