import { NgModule } from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {CadastroContentComponent} from './cadastro-content/cadastro-content.component';
import { OauthGuard } from '../../../seguranca/oauth.guard';
import {DetalhesContentComponent} from './detalhes-content/detalhes-content.component';
import {ListagenContentComponent} from './listagen-content/listagen-content.component';

const routes: Routes = [
  { path: 'conteudo/cadastroConteudo',
    component: CadastroContentComponent,
    canActivate: [OauthGuard],

    data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'listagem' }
  },
  { path: 'conteudo/listagemConteudo',
  component: ListagenContentComponent,
  canActivate: [OauthGuard],

  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'listagem' }
},

{ path: 'conteudo/destalhesConteudo/:id',
component: DetalhesContentComponent,
canActivate: [OauthGuard],

data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'listagem' }
},

{ path: 'conteudo/cadastro/:id',
  component: CadastroContentComponent,
  canActivate: [OauthGuard],
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'cadastro' }
  }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})

export class ContentRoutingModule { }
