import { Injectable } from '@angular/core';
import { Content } from './content';
import { HttpHeaders, HttpClient } from '@angular/common/http';
import { environment } from 'src/environments/environment';
import { Page } from '../../../utils/page';

@Injectable({
  providedIn: 'root'
})
export class ContentService {

  httpOptions = {
    headers: new HttpHeaders({
      'Content-Type': 'application/json',
    })
  };

  url: string;
  idCount: number = 2;

  constructor(
    private http: HttpClient
  ) {
    this.url = `${environment.apiUrl}/conteudo`;
  }

  findAll(pagina: number) {
    let nome = '';
    return this.http.get<Page<Content>>(`${this.url}/?nome=${nome}&pagina=${pagina}`);
  }
  findByNome(nome: string, pagina: number) {
    return this.http.get<Page<Content>>(`${this.url}?nome=${nome}&pagina=${pagina}`);
  }

  findById(id: number) {
    return this.http.get<Content>(`${this.url}/${id}`);
  }

  delete(id: number) {
    return this.http.delete<Content>(`${this.url}/${id}`);
  }

  update(content: Content) {
    return this.http.put<Content>(`${this.url}/${content.id}`, content, this.httpOptions);
  }

  insert(content: Content) {
    return this.http.post<Content>(`${this.url}/`, content, this.httpOptions);
  }

}
