import { Component, OnInit } from '@angular/core';
import { BreadcrumbService } from 'src/app/breadcrumb.service';
import { MessageService } from 'primeng/api';
import { Content } from '../content';
import { ContentService } from '../content.service';
import { Router, ActivatedRoute } from '@angular/router';
@Component({
  selector: 'app-detalhes-content',
  templateUrl: './detalhes-content.component.html',
  styleUrls: ['./detalhes-content.component.css']
})
export class DetalhesContentComponent implements OnInit {

  titulo: string;
  content: Content;
  cols: any[];
  loading: boolean;
  constructor(private breadcrumbService: BreadcrumbService,
    private messageService: MessageService, private contentService: ContentService,
    private activatedRoute: ActivatedRoute, private router: Router) {
    this.content = new Content();
    const id = this.activatedRoute.snapshot.params['id'];
    this.breadcrumbService.setItems([
      { label: 'Conteudo', routerLink: ['/conteudo/cadastroConteudo'], visible: true },
      { label: 'Editar', routerLink: [`conteudo/cadastro/${id}`], visible: id != undefined },
      { label: 'Novo', routerLink: ['/conteudo/cadastroConteudo'], visible: !id }
    ]);
    if (id) {
      this.contentService.findById(id)
        .subscribe(
          (content: Content) => {
            if (content) {
              this.content = content;
              this.breadcrumbService.setItems([
                { label: 'Conteudo', routerLink: ['/conteudo/listagemConteudo'], visible: true },
                { label: this.content.nome, routerLink: [`/conteudo/cadastro/${id}`], visible: true }
              ]);
            } else {
              this.router.navigate(['/conteudo/cadastroConteudo']);
            }
          }
        );
    }
    this.titulo = 'Detalhes';
  }

  ngOnInit() {
  }

  mostrarMensagemErro(mensagem: string) {
    this.messageService.add({ severity: 'error', summary: 'Erro', detail: mensagem });
  }

  mostrarMensagemInfo(mensagem: string) {
    this.messageService.add({ severity: 'info', summary: 'Info', detail: mensagem });
  }

  mostrarMensagemSucesso(mensagem: string) {
    this.messageService.add({ severity: 'success', summary: 'Sucesso', detail: mensagem });
  }

}
