import { Routes, RouterModule } from "@angular/router";
import { CadastroGameComponent } from './cadastro-game/cadastro-game.component';
import { OauthGuard } from 'src/app/seguranca/oauth.guard';
import { NgModule } from '@angular/core';
import { GameListagemComponent } from './game-listagem/game-listagem.component';

const routes: Routes = [
    {path: 'ipc/game',
    component: GameListagemComponent,
    canActivate: [OauthGuard],
    data: {roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], 
    animation:'cadastro'},
    },
    {path: 'ipc/game/novo',
    component: CadastroGameComponent,
    canActivate: [OauthGuard],
    data: {roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], 
    animation:'cadastro'},
    },
    {path: 'ipc/game/:id',
    component: CadastroGameComponent,
    canActivate: [OauthGuard],
    data: {roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], 
    animation:'cadastro'},
    },
];

@NgModule({
    imports: [RouterModule.forChild(routes)],
    exports: [RouterModule]
  })
  export class GameRoutingModule { }