import { Component, OnInit } from '@angular/core';
import { BreadcrumbService } from 'src/app/breadcrumb.service';
import { MessageService } from 'primeng/api';
import { MultiplaEscolha } from '../multiplaescolha';
import { MultiplaEscolhaService} from '../multiplaescolha.service';
import { Router, ActivatedRoute } from '@angular/router';

@Component({
  selector: 'app-detallhar-multiplaescolha',
  templateUrl: './detallhar-multiplaescolha.component.html',
  styleUrls: ['./detallhar-multiplaescolha.component.css']
})
export class DetalhesMultiplaEscolhaComponent implements OnInit {

  titulo: string;
  multiplaescolha: MultiplaEscolha;
  //alternativaCerta: boolean = true;
  statusPessoaT: boolean = true;
 
  
  cols: any[];
  loading: boolean;


  constructor(
    private breadcrumbService: BreadcrumbService,
    private messageService: MessageService,
    private multiplaescolhaService: MultiplaEscolhaService,
    private activatedRoute: ActivatedRoute,
    private router: Router
  ) {
    this.multiplaescolha = new MultiplaEscolha();

    const id = this.activatedRoute.snapshot.params['id'];
    
    this.breadcrumbService.setItems([
      { label: 'MultiplaEscolha', routerLink: ['ipc/MultiplaEscolha'] , visible: true},
      { label: 'Editar', routerLink: [`ipc/MultiplaEscolha/${id}`], visible: id != undefined },
      { label: 'Novo', routerLink: ['ipc/MultiplaEscolha/novo'] , visible: !id},
    ]);
    if (id) {
      this.multiplaescolhaService.findById(id)
        .subscribe(
          (multiplaescolha: MultiplaEscolha) => {
            if(multiplaescolha){
              this.multiplaescolha = multiplaescolha;
                 this.statusPessoaT = (this.multiplaescolha.status == 'ATIVO');
            
              this.breadcrumbService.setItems([
                { label: 'MultiplaEscolha', routerLink: ['ipc/MultiplaEscolha'] , visible: true},
               // { label: this.multiplaescolha.nome, routerLink: [`/testes/pessoast/${id}`] , visible: true}
              ]);
            } else {
              this.router.navigate(['ipc/MultiplaEscolha']);
            }
          }
        )
    } 

    this.titulo = 'Detalhes';
  }

  ngOnInit() {
    
  }
  
  mostrarMensagemErro(mensagem: string) {
    this.messageService.add({ severity: 'error', summary: 'Erro', detail: mensagem });
  }

  mostrarMensagemInfo(mensagem: string) {
    this.messageService.add({ severity: 'info', summary: 'Info', detail: mensagem });
  }

  mostrarMensagemSucesso(mensagem: string) {
    this.messageService.add({ severity: 'success', summary: 'Sucesso', detail: mensagem });
  }

}
