import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { CadastroMultiplaEscolhaComponent } from './cadastrar-multiplaescolha/cadastrar-multiplaescolha.component';
import { OauthGuard } from '../../seguranca/oauth.guard';
import { ListagemMultiplaEscolhaComponent } from './listar-multiplaescolha/listar-multiplaescolha.component';
import { DetalhesMultiplaEscolhaComponent } from './detalhar-multiplaescolha/detallhar-multiplaescolha.component';

const routes: Routes = [
  { path: 'ipc/MultiplaEscolha', 
    component: ListagemMultiplaEscolhaComponent, 
    canActivate: [OauthGuard], 
    data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'listagem' } 
  },
  { path: 'ipc/MultiplaEscolha/novo', 
  component: CadastroMultiplaEscolhaComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'cadastro' } 
 },
  { path: 'ipc/MultiplaEscolha/:id', 
  component: CadastroMultiplaEscolhaComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'cadastro' } 
  },
  { path: 'ipc/MultiplaEscolha/detalhar/:id', 
  component: DetalhesMultiplaEscolhaComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'listagem' } 
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class MultiplaEscolhaRoutingModule { }
