import { Injectable } from '@angular/core';
import { MultiplaEscolha } from './multiplaescolha';
import { HttpHeaders, HttpClient } from '@angular/common/http';
import { environment } from 'src/environments/environment';
import { Page } from '../../utils/page';


@Injectable({
  providedIn: 'root'
})
export class MultiplaEscolhaService {

  httpOptions = {
    headers: new HttpHeaders({
      'Content-Type': 'application/json',
    })
  };

  url: string;
  idCount: number = 2;

  constructor(
    private http: HttpClient
  ) {
    this.url = `${environment.apiUrl}/ipc/question/multiplaEscolha`;
  }

  findAll(pagina: number) {
   // let enunciado = '';
    return this.http.get<Page<MultiplaEscolha>>(`${this.url}?pagina=${pagina}`);
  }


  findById(id: number) {
    return this.http.get<MultiplaEscolha>(`${this.url}/${id}`)
  }

  delete(id: number) {
    return this.http.delete<MultiplaEscolha>(`${this.url}/${id}`);
  }

  update(multiplaescolha: MultiplaEscolha) {
    return this.http.put<MultiplaEscolha>(`${this.url}/${multiplaescolha.id}`, multiplaescolha, this.httpOptions);
  }

  insert(multiplaescolha: MultiplaEscolha) {
    return this.http.post<MultiplaEscolha>(this.url+'/', multiplaescolha, this.httpOptions);
  }

}
