import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { CadastroSolucaoComponent } from './cadastro-solucao/cadastro-solucao.component';
import { OauthGuard } from '../../../seguranca/oauth.guard';
import { ListagemSolucaoComponent } from './listagem-solucao/listagem-solucao.component';
import { DetalhesSolucaoComponent } from './detalhes-solucao/detalhes-solucao.component';

const routes: Routes = [
  { path: 'ipc/problemManager/solucao', 
    component: ListagemSolucaoComponent, 
    canActivate: [OauthGuard], 
    data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'listagem' } 
  },
  { path: 'ipc/problemManager/solucao/novo', 
  component: CadastroSolucaoComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'cadastro' } 
  },
  { path: 'ipc/problemManager/solucao/:id', 
  component: CadastroSolucaoComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'cadastro' } 
  },
  { path: 'ipc/problemManager/solucao/detalhes/:id', 
  component: DetalhesSolucaoComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'listagem' } 
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class SolucaoRoutingModule { }
