import { Injectable } from '@angular/core';
import { Solucao } from './solucao';
import { HttpHeaders, HttpClient } from '@angular/common/http';
import { environment } from 'src/environments/environment';
import { Page } from '../../../utils/page';

@Injectable({
  providedIn: 'root'
})
export class SolucaoService {

  httpOptions = {
    headers: new HttpHeaders({
      'Content-Type': 'application/json',
    })
  };

  url: string;
  idCount: number = 2;

  constructor(
    private http: HttpClient
  ) {
    this.url = `${environment.apiUrl}/ipc/problemManager/solucao`;
  }

  findAll(pagina: number) {
    let codigofonte = '';
    return this.http.get<Page<Solucao>>(`${this.url}?codigofonte=${codigofonte}&pagina=${pagina}`);
  }
  
  findByCodigofonte(codigofonte:string, pagina: number) {
    return this.http.get<Page<Solucao>>(`${this.url}?codigofonte=${codigofonte}&pagina=${pagina}`);
  }

  findById(id: number) {
    return this.http.get<Solucao>(`${this.url}/${id}`);
  }

  delete(id: number) {
    return this.http.delete<Solucao>(`${this.url}/${id}`);
  }

  update(solucao: Solucao) {
    return this.http.put<Solucao>(`${this.url}/${solucao.id}`, solucao, this.httpOptions);
  }

  insert(solucao: Solucao) {
    return this.http.post<Solucao>(this.url, solucao, this.httpOptions);
  }

}
