import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { CadastroCasosTesteComponent } from './cadastro-casosTeste/cadastro-casosTeste.component';
import { OauthGuard } from '../../../seguranca/oauth.guard';
import { ListagemCasosTesteComponent } from './listagem-casosTeste/listagem-casosTeste.component';
import { DetalhesCasosTesteComponent } from './detalhes-casosTeste/detalhes-casosTeste.component';

const routes: Routes = [
  { path: 'ipc/problemManager/casosTestes', 
    component: ListagemCasosTesteComponent, 
    canActivate: [OauthGuard], 
    data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'listagem' } 
  },
  { path: 'ipc/problemManager/casosTestes/novo', 
  component: CadastroCasosTesteComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'cadastro' } 
  },
  { path: 'ipc/problemManager/casosTestes/:id', 
  component: CadastroCasosTesteComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'cadastro' } 
  },
  { path: 'ipc/problemManager/casosTestes/detalhes/:id', 
  component: DetalhesCasosTesteComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'listagem' } 
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class CasosTestesRoutingModule { }
