import { Injectable } from '@angular/core';
import { CasosTeste } from './casosTeste';
import { HttpHeaders, HttpClient } from '@angular/common/http';
import { environment } from 'src/environments/environment';
import { Page } from '../../../utils/page';

@Injectable({
  providedIn: 'root'
})
export class CasosTestesService {

  httpOptions = {
    headers: new HttpHeaders({
      'Content-Type': 'application/json',
    })
  };

  url: string;
  idCount: number = 2;

  constructor(
    private http: HttpClient
  ) {
    this.url = `${environment.apiUrl}/ipc/problemManager/casostestes`;
  }

  findAll(pagina: number) {
    let nome = '';
    return this.http.get<Page<CasosTeste>>(`${this.url}?nome=${nome}&pagina=${pagina}`);
  }
  
  findByNome(nome:string, pagina: number) {
    return this.http.get<Page<CasosTeste>>(`${this.url}?nome=${nome}&pagina=${pagina}`);
  }

  findById(id: number) {
    return this.http.get<CasosTeste>(`${this.url}/${id}`);
  }

  delete(id: number) {
    return this.http.delete<CasosTeste>(`${this.url}/${id}`);
  }

  update(casosTeste: CasosTeste) {
    return this.http.put<CasosTeste>(`${this.url}/${casosTeste.id}`, casosTeste, this.httpOptions);
  }

  insert(casosTeste: CasosTeste) {
    return this.http.post<CasosTeste>(this.url, casosTeste, this.httpOptions);
  }

}
