import { Component, OnInit } from '@angular/core';
import { BreadcrumbService } from 'src/app/breadcrumb.service';
import { MessageService } from 'primeng/api';
import { CasosTeste } from '../casosTeste';
import { CasosTestesService } from '../casosTestes.service';
import { Router, ActivatedRoute } from '@angular/router';

@Component({
  selector: 'app-detalhes-casosTeste',
  templateUrl: './detalhes-casosTeste.component.html',
  styleUrls: ['./detalhes-casosTeste.component.css']
})
export class DetalhesCasosTesteComponent implements OnInit {

  titulo: string;
  casosTeste: CasosTeste;
  statusCasosTeste: boolean = true;
  
  cols: any[];
  loading: boolean;


  constructor(
    private breadcrumbService: BreadcrumbService,
    private messageService: MessageService,
    private casosTestesService: CasosTestesService,
    private activatedRoute: ActivatedRoute,
    private router: Router
  ) {
    this.casosTeste = new CasosTeste();

    const id = this.activatedRoute.snapshot.params['id'];
    
    this.breadcrumbService.setItems([
      { label: 'CasosTestes', routerLink: ['/ipc/problemManager/casosTestes'] , visible: true},
      { label: 'Editar', routerLink: [`/ipc/problemManager/casosTestes/${id}`], visible: id != undefined },
      { label: 'Novo', routerLink: ['/ipc/problemManager/casosTestes/novo'] , visible: !id},
    ]);
    if (id) {
      this.casosTestesService.findById(id)
        .subscribe(
          (casosTeste: CasosTeste) => {
            if(casosTeste){
              this.casosTeste = casosTeste;
              //this.statusCasosTeste = (this.casosTeste.status == 'ATIVO');
            
              this.breadcrumbService.setItems([
                { label: 'CasosTestes', routerLink: ['/ipc/problemManager/casosTestes'] , visible: true},
                { label: this.casosTeste.nome, routerLink: [`/ipc/problemManager/casosTestes/${id}`] , visible: true}
              ]);
            } else {
              this.router.navigate(['/ipc/problemManager/casosTestes']);
            }
          }
        )
    } 

    this.titulo = 'Detalhes';
  }

  ngOnInit() {
    
  }
  
  mostrarMensagemErro(mensagem: string) {
    this.messageService.add({ severity: 'error', summary: 'Erro', detail: mensagem });
  }

  mostrarMensagemInfo(mensagem: string) {
    this.messageService.add({ severity: 'info', summary: 'Info', detail: mensagem });
  }

  mostrarMensagemSucesso(mensagem: string) {
    this.messageService.add({ severity: 'success', summary: 'Sucesso', detail: mensagem });
  }

}
