import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { CadastroAlunoComponent } from './cadastro-aluno/cadastro-aluno.component';
import { OauthGuard } from '../../../seguranca/oauth.guard';
import { ListagemAlunoComponent } from './listagem-aluno/listagem-aluno.component';
import { DetalhesAlunoComponent } from './detalhes-aluno/detalhes-aluno.component';

const routes: Routes = [
  { path: 'ipc/school/aluno', 
    component: ListagemAlunoComponent, 
    canActivate: [OauthGuard], 
    data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'listagem' } 
  },
  { path: 'ipc/school/aluno/novo', 
  component: CadastroAlunoComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'cadastro' } 
  },
  { path: 'ipc/school/aluno/:id', 
  component: CadastroAlunoComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'cadastro' } 
  },
  { path: 'ipc/school/aluno/detalhes/:id', 
  component: DetalhesAlunoComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'listagem' } 
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class AlunoRoutingModule { }
