import { Injectable } from '@angular/core';
import { Aluno } from './aluno';
import { HttpHeaders, HttpClient } from '@angular/common/http';
import { environment } from 'src/environments/environment';
import { Page } from '../../../utils/page';

@Injectable({
  providedIn: 'root'
})
export class AlunoService {

  httpOptions = {
    headers: new HttpHeaders({
      'Content-Type': 'application/json',
    })
  };

  url: string;
  idCount: number = 2;

  constructor(
    private http: HttpClient
  ) {
    this.url = `${environment.apiUrl}/ipc/school/aluno`;
  }

  findAll(pagina: number) {
    let nome = '';
    return this.http.get<Page<Aluno>>(`${this.url}?nome=${nome}&pagina=${pagina}`);
  }
  
  findByNome(nome:string, pagina: number) {
    return this.http.get<Page<Aluno>>(`${this.url}?nome=${nome}&pagina=${pagina}`);
  }

  findById(id: number) {
    return this.http.get<Aluno>(`${this.url}/${id}`);
  }

  delete(id: number) {
    return this.http.delete<Aluno>(`${this.url}/${id}`);
  }

  update(aluno: Aluno) {
    return this.http.put<Aluno>(`${this.url}/${aluno.id}`, aluno, this.httpOptions);
  }

  insert(aluno: Aluno) {
    return this.http.post<Aluno>(this.url+'/', aluno, this.httpOptions);
  }

}
