import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { CadastroDisciplinaComponent } from './cadastro-disciplina/cadastro-disciplina.component';
import { OauthGuard } from '../../../seguranca/oauth.guard';
import { ListagemDisciplinaComponent } from './listagem-disciplina/listagem-disciplina.component';
import { DetalhesDisciplinaComponent } from './detalhes-disciplina/detalhes-disciplina.component';

const routes: Routes = [
  { path: 'ipc/school/disciplina', 
    component: ListagemDisciplinaComponent, 
    canActivate: [OauthGuard], 
    data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'listagem' } 
  },
  { path: 'ipc/school/disciplina/novo', 
  component: CadastroDisciplinaComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'cadastro' } 
  },
  { path: 'ipc/school/disciplina/:id', 
  component: CadastroDisciplinaComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'cadastro' } 
  },
  { path: 'ipc/school/disciplina/detalhes/:id', 
  component: DetalhesDisciplinaComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'listagem' } 
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class DisciplinaRoutingModule { }
