import { Injectable } from '@angular/core';
import { Disciplina } from './disciplina';
import { HttpHeaders, HttpClient } from '@angular/common/http';
import { environment } from 'src/environments/environment';
import { Page } from '../../../utils/page';

@Injectable({
  providedIn: 'root'
})
export class DisciplinaService {

  httpOptions = {
    headers: new HttpHeaders({
      'Content-Type': 'application/json',
    })
  };

  url: string;
  idCount: number = 2;

  constructor(
    private http: HttpClient
  ) {
    this.url = `${environment.apiUrl}/school/disciplina`;
  }

  listar(){
    return this.http.get(`${this.url}`);
  }

  findAll(pagina: number) {
    let nome = '';
    return this.http.get<Page<Disciplina>>(`${this.url}?nome=${nome}&pagina=${pagina}`);
  }
  
  findByNome(nome:string, pagina: number) {
    return this.http.get<Page<Disciplina>>(`${this.url}?nome=${nome}&pagina=${pagina}`);
  }

  findById(id: number) {
    return this.http.get<Disciplina>(`${this.url}/${id}`);
  }

  delete(id: number) {
    return this.http.delete<Disciplina>(`${this.url}/${id}`);
  }

  update(disciplina: Disciplina) {
    return this.http.put<Disciplina>(`${this.url}/${disciplina.id}`, disciplina, this.httpOptions);
  }

  insert(disciplina: Disciplina) {
    return this.http.post<Disciplina>(this.url+'/', disciplina, this.httpOptions);
  }

}
