import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { CadastroUniversidadeComponent } from './cadastro-universidade/cadastro-universidade.component';
import { OauthGuard } from '../../../seguranca/oauth.guard';
import { ListagemUniversidadeComponent } from './listagem-universidade/listagem-universidade.component';
import { DetalhesUniversidadeComponent } from './detalhes-universidade/detalhes-universidade.component';

const routes: Routes = [
  { path: 'ipc/school/universidade', 
    component: ListagemUniversidadeComponent, 
    canActivate: [OauthGuard], 
    data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'listagem' } 
  },
  { path: 'ipc/school/universidade/novo', 
  component: CadastroUniversidadeComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'cadastro' } 
  },
  { path: 'ipc/school/universidade/:id', 
  component: CadastroUniversidadeComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'cadastro' } 
  },
  { path: 'ipc/school/universidade/detalhes/:id', 
  component: DetalhesUniversidadeComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'listagem' } 
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class UniversidadeRoutingModule { }
