import { Injectable } from '@angular/core';
import { Universidade } from './universidade';
import { HttpHeaders, HttpClient } from '@angular/common/http';
import { environment } from 'src/environments/environment';
import { Page } from '../../../utils/page';

@Injectable({
  providedIn: 'root'
})
export class UniversidadeService {

  httpOptions = {
    headers: new HttpHeaders({
      'Content-Type': 'application/json',
    })
  };

  url: string;
  idCount: number = 2;

  constructor(
    private http: HttpClient
  ) {
    this.url = `${environment.apiUrl}/school/universidade`;
  }

  findAll(pagina: number) {
    let nome = '';
    return this.http.get<Page<Universidade>>(`${this.url}?nome=${nome}&pagina=${pagina}`);
  }
  
  findByNome(nome:string, pagina: number) {
    return this.http.get<Page<Universidade>>(`${this.url}?nome=${nome}&pagina=${pagina}`);
  }

  findById(id: number) {
    return this.http.get<Universidade>(`${this.url}/${id}`);
  }

  delete(id: number) {
    return this.http.delete<Universidade>(`${this.url}/${id}`);
  }

  update(universidade: Universidade) {
    return this.http.put<Universidade>(`${this.url}/${universidade.id}`, universidade, this.httpOptions);
  }

  insert(universidade: Universidade) {
    return this.http.post<Universidade>(this.url, universidade, this.httpOptions);
  }

}
