import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { OauthGuard } from '../../seguranca/oauth.guard';
import { ListarSubmissionComponent } from './listar-submission/listar-submission.component';
import { DetalharSubmissionComponent } from './detalhar-submission/detalhar-submission.component';
import { CadastrarSubmissionComponent } from './cadastrar-submission/cadastrar-submission.component';


const routes: Routes = [
    { path: 'ipc/submissoes', component: ListarSubmissionComponent, canActivate: [OauthGuard], data: { roles: ['ROLE_ADMINISTRADOR'], animation: 'listagem' } },
    { path: 'ipc/submissoes/novo', component: CadastrarSubmissionComponent, canActivate: [OauthGuard], data: { roles: ['ROLE_ADMINISTRADOR'], animation: 'cadastro' } },
    { path: 'ipc/submissoes/:id', component: DetalharSubmissionComponent, canActivate: [OauthGuard], data: { roles: ['ROLE_ADMINISTRADOR']}},
    { path: 'ipc/submissoes/detalhes/:id', component: DetalharSubmissionComponent, canActivate: [OauthGuard], data: { roles: ['ROLE_ADMINISTRADOR'], animation: 'listagem' }},
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class SubmisionRoutingModule { }
