import { BrowserModule } from '@angular/platform-browser';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';

import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { CadastrarSubmissionComponent } from './cadastrar-submission/cadastrar-submission.component';
import { DetalharSubmissionComponent } from './detalhar-submission/detalhar-submission.component';
import { ListarSubmissionComponent } from './listar-submission/listar-submission.component';
import { ConfirmDialogModule } from 'primeng/confirmdialog';
import { MessageService, ConfirmationService } from 'primeng/api';
import { DynamicDialogModule } from 'primeng/dynamicdialog';
import { SubmisionRoutingModule } from './submission-routing.module';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { HttpClientModule } from '@angular/common/http';
import { DropdownModule, KeyFilterModule, TooltipModule, CardModule, RadioButtonModule, InputTextareaModule, InputMaskModule, TabViewModule, PanelModule, InputTextModule, InputSwitchModule, ProgressSpinnerModule, AutoCompleteModule } from 'primeng/primeng';
import { TableModule } from 'primeng/table';
import { DialogModule } from 'primeng/dialog';
import { SplitButtonModule } from 'primeng/splitbutton';
import { ButtonModule } from 'primeng/button';
import { NgxImageZoomModule } from 'ngx-image-zoom';

@NgModule({
  declarations: [
    CadastrarSubmissionComponent, 
    DetalharSubmissionComponent, 
    ListarSubmissionComponent
  ],
  imports: [
    CommonModule,
    BrowserModule,
    BrowserAnimationsModule,
    SubmisionRoutingModule,
    AutoCompleteModule,
    FormsModule,
    HttpClientModule,
    DropdownModule,
    KeyFilterModule,
    TableModule,
    ReactiveFormsModule,
    TooltipModule,
    ButtonModule,
    SplitButtonModule,
    CardModule,
    InputMaskModule,
    TabViewModule,
    RadioButtonModule,
    InputTextareaModule,
    PanelModule,
    InputTextModule,
    InputSwitchModule,
    ConfirmDialogModule,
    DynamicDialogModule,
    ProgressSpinnerModule,
    NgxImageZoomModule.forRoot() 
  ],
  providers: [
    MessageService,
    ConfirmationService
  ],
})
export class SubmissionModule { }
