import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { CadastroComputadorComponent } from './cadastro-computador/cadastro-computador.component';
import { OauthGuard } from '../../seguranca/oauth.guard';
import { ListagemComputadorComponent } from './listagem-computador/listagem-computador.component';
import { DetalhesComputadorComponent } from './detalhes-computador/detalhes-computador.component';

const routes: Routes = [
  { path: 'laboratory/computadores', 
    component: ListagemComputadorComponent, 
    canActivate: [OauthGuard], 
    data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'listagem' } 
  },
  { path: 'laboratory/computadores/novo', 
  component: CadastroComputadorComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'cadastro' } 
  },
  { path: 'laboratory/computadores/:id', 
  component: CadastroComputadorComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'cadastro' } 
  },
  { path: 'laboratory/computadores/detalhes/:id', 
  component: DetalhesComputadorComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'listagem' } 
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class ComputadoresRoutingModule { }
