import { Injectable } from '@angular/core';
import { Computador } from './computador';
import { HttpHeaders, HttpClient } from '@angular/common/http';
import { environment } from 'src/environments/environment';
import { Page } from '../../utils/page';

@Injectable({
  providedIn: 'root'
})
export class ComputadoresService {

  httpOptions = {
    headers: new HttpHeaders({
      'Content-Type': 'application/json',
    })
  };

  url: string;
  idCount: number = 2;

  constructor(
    private http: HttpClient
  ) {
    this.url = `${environment.apiUrl}/laboratory/computadores`;
  }

  findAll(pagina: number) {
    let modelo = '';
    return this.http.get<Page<Computador>>(`${this.url}?modelo=${modelo}&pagina=${pagina}`);
  }
  
  findByNome(modelo:string, pagina: number) {
    return this.http.get<Page<Computador>>(`${this.url}?modelo=${modelo}&pagina=${pagina}`);
  }

  findById(id: number) {
    return this.http.get<Computador>(`${this.url}/${id}`);
  }

  delete(id: number) {
    return this.http.delete<Computador>(`${this.url}/${id}`);
  }

  update(computador: Computador) {
    return this.http.put<Computador>(`${this.url}/${computador.id}`, computador, this.httpOptions);
  }

  insert(computador: Computador) {
    return this.http.post<Computador>(this.url, computador, this.httpOptions);
  }

}
