import { Injectable } from '@angular/core';
import { Hardware } from './hardware';
import { HttpHeaders, HttpClient } from '@angular/common/http';
import { environment } from 'src/environments/environment';
import { Page } from '../../utils/page';

@Injectable({
  providedIn: 'root'
})
export class HardwareService {

  httpOptions = {
    headers: new HttpHeaders({
      'Content-Type': 'application/json',
    })
  };

  url: string;
  idCount: number = 2;

  constructor(
    private http: HttpClient
  ) {
    this.url = `${environment.apiUrl}/laboratory/hardware`;
  }

  findAll(pagina: number) {
    let modelo = '';
    return this.http.get<Page<Hardware>>(`${this.url}?modelo=${modelo}&pagina=${pagina}`);
  }
  
  findByModelo(modelo:string, pagina: number) {
    return this.http.get<Page<Hardware>>(`${this.url}?modelo=${modelo}&pagina=${pagina}`);
  }

  findById(id: number) {
    return this.http.get<Hardware>(`${this.url}/${id}`);
  }

  delete(id: number) {
    return this.http.delete<Hardware>(`${this.url}/${id}`);
  }

  update(hardware: Hardware) {
    return this.http.put<Hardware>(`${this.url}/${hardware.id}`, hardware, this.httpOptions);
  }

  insert(hardware: Hardware) {
    return this.http.post<Hardware>(this.url, hardware, this.httpOptions);
  }

}
