import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { CadastroHardwareComponent } from './cadastro-hardware/cadastro-hardware.component';
import { OauthGuard } from '../../seguranca/oauth.guard';
import { ListagemHardwareComponent } from './listagem-hardware/listagem-hardware.component';
import { DetalhesHardwareComponent } from './detalhes-hardware/detalhes-hardware.component';

const routes: Routes = [
  { path: 'laboratory/hardware', 
    component: ListagemHardwareComponent, 
    canActivate: [OauthGuard], 
    data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'listagem' } 
  },
  { path: 'laboratory/hardware/novo', 
  component: CadastroHardwareComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'cadastro' } 
  },
  { path: 'laboratory/hardware/:id', 
  component: CadastroHardwareComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'cadastro' } 
  },
  { path: 'laboratory/hardware/detalhes/:id', 
  component: DetalhesHardwareComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'listagem' } 
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class HardwareRoutingModule { }
