import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { CadastroProblemaComponent } from './cadastro-problema/cadastro-problema.component';
import { OauthGuard } from '../../seguranca/oauth.guard';
import { ListagemProblemaComponent } from './listagem-problema/listagem-problema.component';
import { DetalhesProblemaComponent } from './detalhes-problema/detalhes-problema.component';

const routes: Routes = [
  { path: 'laboratory/problemas', 
    component: ListagemProblemaComponent, 
    canActivate: [OauthGuard], 
    data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'listagem' } 
  },
  { path: 'laboratory/problemas/novo', 
  component: CadastroProblemaComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'cadastro' } 
  },
  { path: 'laboratory/problemas/:id', 
  component: CadastroProblemaComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'cadastro' } 
  },
  { path: 'laboratory/problemas/detalhes/:id', 
  component: DetalhesProblemaComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'listagem' } 
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class ProblemasRoutingModule { }
