import { Injectable } from '@angular/core';
import { Problema } from './problema';
import { HttpHeaders, HttpClient } from '@angular/common/http';
import { environment } from 'src/environments/environment';
import { Page } from '../../utils/page';

@Injectable({
  providedIn: 'root'
})
export class ProblemasService {

  httpOptions = {
    headers: new HttpHeaders({
      'Content-Type': 'application/json',
    })
  };

  url: string;
  idCount: number = 2;

  constructor(
    private http: HttpClient
  ) {
    this.url = `${environment.apiUrl}/laboratory/problemas`;
  }

  findAll(pagina: number) {
    let titulo = '';
    return this.http.get<Page<Problema>>(`${this.url}?titulo=${titulo}&pagina=${pagina}`);
  }
  
  findBytitulo(titulo:string, pagina: number) {
    return this.http.get<Page<Problema>>(`${this.url}?titulo=${titulo}&pagina=${pagina}`);
  }

  findById(id: number) {
    return this.http.get<Problema>(`${this.url}/${id}`);
  }

  delete(id: number) {
    return this.http.delete<Problema>(`${this.url}/${id}`);
  }

  update(problema: Problema) {
    return this.http.put<Problema>(`${this.url}/${problema.id}`, problema, this.httpOptions);
  }

  insert(problema: Problema) {
    return this.http.post<Problema>(this.url, problema, this.httpOptions);
  }

}
