import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { CadastroProfessorComponent } from './cadastro-professor/cadastro-professor.component';
import { OauthGuard } from '../../seguranca/oauth.guard';
import { ListagemProfessorComponent } from './listagem-professor/listagem-professor.component';
import { DetalhesProfessorComponent } from './detalhes-professor/detalhes-professor.component';

const routes: Routes = [
  { path: 'laboratory/professor', 
    component: ListagemProfessorComponent, 
    canActivate: [OauthGuard], 
    data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'listagem' } 
  },
  { path: 'laboratory/professor/novo', 
  component: CadastroProfessorComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'cadastro' } 
  },
  { path: 'laboratory/professor/:id', 
  component: CadastroProfessorComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'cadastro' } 
  },
  { path: 'laboratory/professor/detalhes/:id', 
  component: DetalhesProfessorComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'listagem' } 
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class ProfessorRoutingModule { }
