import { Injectable } from '@angular/core';
import { Professor } from './professor';
import { HttpHeaders, HttpClient } from '@angular/common/http';
import { environment } from 'src/environments/environment';
import { Page } from '../../utils/page';

@Injectable({
  providedIn: 'root'
})
export class ProfessorService {

  httpOptions = {
    headers: new HttpHeaders({
      'Content-Type': 'application/json',
    })
  };

  url: string;
  idCount: number = 2;

  constructor(
    private http: HttpClient
  ) {
    this.url = `${environment.apiUrl}/laboratory/professor`;
  }

  findAll(pagina: number) {
    let nome = '';
    return this.http.get<Page<Professor>>(`${this.url}?nome=${nome}&pagina=${pagina}`);
  }
  
  findByNome(nome:string, pagina: number) {
    return this.http.get<Page<Professor>>(`${this.url}?nome=${nome}&pagina=${pagina}`);
  }

  findById(id: number) {
    return this.http.get<Professor>(`${this.url}/${id}`);
  }

  delete(id: number) {
    return this.http.delete<Professor>(`${this.url}/${id}`);
  }

  update(professor: Professor) {
    return this.http.put<Professor>(`${this.url}/${professor.id}`, professor, this.httpOptions);
  }

  insert(professor: Professor) {
    return this.http.post<Professor>(this.url, professor, this.httpOptions);
  }

}
