import { Injectable } from '@angular/core';
import { Software } from './software';
import { HttpHeaders, HttpClient } from '@angular/common/http';
import { environment } from 'src/environments/environment';
import { Page } from '../../utils/page';

@Injectable({
  providedIn: 'root'
})
export class SoftwareService {

  httpOptions = {
    headers: new HttpHeaders({
      'Content-Type': 'application/json',
    })
  };

  url: string;
  idCount: number = 2;

  constructor(
    private http: HttpClient
  ) {
    this.url = `${environment.apiUrl}/laboratory/software`;
  }

  findAll(pagina: number) {
    let nome = '';
    return this.http.get<Page<Software>>(`${this.url}?nome=${nome}&pagina=${pagina}`);
  }
  
  findByNome(nome:string, pagina: number) {
    return this.http.get<Page<Software>>(`${this.url}?nome=${nome}&pagina=${pagina}`);
  }

  findById(id: number) {
    return this.http.get<Software>(`${this.url}/${id}`);
  }

  delete(id: number) {
    return this.http.delete<Software>(`${this.url}/${id}`);
  }

  update(software: Software) {
    return this.http.put<Software>(`${this.url}/${software.id}`, software, this.httpOptions);
  }

  insert(software: Software) {
    return this.http.post<Software>(this.url+"/", software, this.httpOptions);
  }

}
