import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { CadastroSoftwareComponent } from './cadastro-software/cadastro-software.component';
import { OauthGuard } from '../../seguranca/oauth.guard';
import { ListagemSoftwareComponent } from './listagem-software/listagem-software.component';
import { DetalhesSoftwareComponent } from './detalhes-software/detalhes-software.component';

const routes: Routes = [
  { path: 'laboratory/software', 
    component: ListagemSoftwareComponent, 
    canActivate: [OauthGuard], 
    data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'listagem' } 
  },
  { path: 'laboratory/software/novo', 
  component: CadastroSoftwareComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'cadastro' } 
  },
  { path: 'laboratory/software/:id', 
  component: CadastroSoftwareComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'cadastro' } 
  },
  { path: 'laboratory/software/detalhes/:id', 
  component: DetalhesSoftwareComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'listagem' } 
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class SoftwareRoutingModule { }
