import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { CadastroEnderesoComponent } from './cadastro-endereso/cadastro-endereso.component';
import { OauthGuard } from '../../seguranca/oauth.guard';
import { ListagemEnderesoComponent } from './listagem-endereso/listagem-endereso.component';
import { DetalhesEnderesoComponent } from './detalhes-endereso/detalhes-endereso.component';

const routes: Routes = [
  { path: 'location/endereso',
    component: ListagemEnderesoComponent,
    canActivate: [OauthGuard],
    data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'listagem' }
  },
  { path: 'location/endereso/novo',
  component: CadastroEnderesoComponent,
  canActivate: [OauthGuard],
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'cadastro' }
  },
  { path: 'location/endereso/:id',
  component: CadastroEnderesoComponent,
  canActivate: [OauthGuard],
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'cadastro' }
  },
  { path: 'location/endereso/detalhes/:id',
  component: DetalhesEnderesoComponent,
  canActivate: [OauthGuard],
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'listagem' }
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class EnderesoRoutingModule { }
