import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { CadastroEstadoComponent } from './cadastro-estado/cadastro-estado.component';
import { OauthGuard } from '../../seguranca/oauth.guard';
import { ListagemEstadoComponent } from './listagem-estado/listagem-estado.component';
import { DetalhesEstadoComponent } from './detalhes-estado/detalhes-estado.component';

const routes: Routes = [
  { path: 'location/estado', 
    component: ListagemEstadoComponent, 
    canActivate: [OauthGuard], 
    data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'listagem' } 
  },
  { path: 'location/estado/novo', 
  component: CadastroEstadoComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'cadastro' } 
  },
  { path: 'location/estado/:id', 
  component: CadastroEstadoComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'cadastro' } 
  },
  { path: 'location/estado/detalhes/:id', 
  component: DetalhesEstadoComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'listagem' } 
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class EstadoRoutingModule { }
