import { Injectable } from '@angular/core';
import { Estado } from './estado';
import { HttpHeaders, HttpClient } from '@angular/common/http';
import { environment } from 'src/environments/environment';
import { Page } from '../../utils/page';

@Injectable({
  providedIn: 'root'
})
export class EstadoService {

  httpOptions = {
    headers: new HttpHeaders({
      'Content-Type': 'application/json',
    })
  };

  url: string;
  idCount: number = 2;

  constructor(
    private http: HttpClient
  ) {
    this.url = `${environment.apiUrl}/location/estado`;
  }

  findAll(pagina: number) {
    let nome = '';
    return this.http.get<Page<Estado>>(`${this.url}?nome=${nome}&pagina=${pagina}`);
  }
  
  findByNome(nome:string, pagina: number) {
    return this.http.get<Page<Estado>>(`${this.url}?nome=${nome}&pagina=${pagina}`);
  }

  findById(id: number) {
    return this.http.get<Estado>(`${this.url}/${id}`);
  }

  delete(id: number) {
    return this.http.delete<Estado>(`${this.url}/${id}`);
  }

  update(estado: Estado) {
    return this.http.put<Estado>(`${this.url}/${estado.id}`, estado, this.httpOptions);
  }

  insert(estado: Estado) {
    return this.http.post<Estado>(this.url, estado, this.httpOptions);
  }

}
