import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { CadastroPaisComponent } from './cadastro-pais/cadastro-pais.component';
import { OauthGuard } from '../../seguranca/oauth.guard';
import { ListagemPaisComponent } from './listagem-pais/listagem-pais.component';
import { DetalhesPaisComponent } from './detalhes-pais/detalhes-pais.component';

const routes: Routes = [
  { path: 'location/pais', 
    component: ListagemPaisComponent, 
    canActivate: [OauthGuard], 
    data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'listagem' } 
  },
  { path: 'location/pais/novo', 
  component: CadastroPaisComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'cadastro' } 
  },
  { path: 'location/pais/:id', 
  component: CadastroPaisComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'cadastro' } 
  },
  { path: 'location/pais/detalhes/:id', 
  component: DetalhesPaisComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'listagem' } 
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class PaisRoutingModule { }
