import { Injectable } from '@angular/core';
import { Pais } from './pais';
import { HttpHeaders, HttpClient } from '@angular/common/http';
import { environment } from 'src/environments/environment';
import { Page } from '../../utils/page';

@Injectable({
  providedIn: 'root'
})
export class PaisService {

  httpOptions = {
    headers: new HttpHeaders({
      'Content-Type': 'application/json',
    })
  };

  url: string;
  idCount: number = 2;

  constructor(
    private http: HttpClient
  ) {
    this.url = `${environment.apiUrl}/location/pais`;
  }

  findAll(pagina: number) {
    let nome = '';
    return this.http.get<Page<Pais>>(`${this.url}?nome=${nome}&pagina=${pagina}`);
  }
  
  findByNome(nome:string, pagina: number) {
    return this.http.get<Page<Pais>>(`${this.url}?nome=${nome}&pagina=${pagina}`);
  }

  findById(id: number) {
    return this.http.get<Pais>(`${this.url}/${id}`);
  }

  delete(id: number) {
    return this.http.delete<Pais>(`${this.url}/${id}`);
  }

  update(pais: Pais) {
    return this.http.put<Pais>(`${this.url}/${pais.id}`, pais, this.httpOptions);
  }

  insert(pais: Pais) {
    return this.http.post<Pais>(this.url, pais, this.httpOptions);
  }

}
