import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { CadastroSidadeComponent } from './cadastro-sidade/cadastro-sidade.component';
import { OauthGuard } from '../../seguranca/oauth.guard';
import { ListagemSidadeComponent } from './listagem-sidade/listagem-sidade.component';
import { DetalhesSidadeComponent } from './detalhes-sidade/detalhes-sidade.component';

const routes: Routes = [
  { path: 'location/sidade',
    component: ListagemSidadeComponent,
    canActivate: [OauthGuard],
    data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'listagem' }
  },
  { path: 'location/sidade/novo',
  component: CadastroSidadeComponent,
  canActivate: [OauthGuard],
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'cadastro' }
  },
  { path: 'location/sidade/:id',
  component: CadastroSidadeComponent,
  canActivate: [OauthGuard],
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'cadastro' }
  },
  { path: 'location/sidade/detalhes/:id',
  component: DetalhesSidadeComponent,
  canActivate: [OauthGuard],
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'listagem' }
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class SidadeRoutingModule { }
