import { Injectable } from '@angular/core';
import { Sidade } from './sidade';
import { HttpHeaders, HttpClient } from '@angular/common/http';
import { environment } from '../../../environments/environment';
import { Page } from '../../utils/page';

@Injectable({
  providedIn: 'root'
})
export class SidadeService {

  httpOptions = {
    headers: new HttpHeaders({
      'Content-Type': 'application/json',
    })
  };

  url: string;
  idCount: number = 2;

  constructor(
    private http: HttpClient
  ) {
    this.url = `${environment.apiUrl}/location/sidade`;
  }

  findAll(pagina: number) {
    let nome = '';
    return this.http.get<Page<Sidade>>(`${this.url}?pagina=${pagina}`);
  }

  findByNome(nome:string, pagina: number) {
    return this.http.get<Page<Sidade>>(`${this.url}?nome=${nome}&pagina=${pagina}`);
  }

  findById(id: number) {
    return this.http.get<Sidade>(`${this.url}/${id}`);
  }

  delete(id: number) {
    return this.http.delete<Sidade>(`${this.url}/${id}`);
  }

  update(sidade: Sidade) {
    return this.http.put<Sidade>(`${this.url}/${sidade.id}`, sidade, this.httpOptions);
  }

  insert(sidade: Sidade) {
    return this.http.post<Sidade>(this.url, sidade, this.httpOptions);
  }

}
