import { Injectable } from '@angular/core';
import {HttpHeaders, HttpClient} from '@angular/common/http';
import { environment } from 'src/environments/environment';

@Injectable({
  providedIn: 'root'
})
export class premiosService {

  apiUrl = `${environment.apiUrl}pessoas/`

  httpOptions = {
    headers: new HttpHeaders({
      'Content-Type': 'application/json',
    })
  };

  constructor(private httpCliente: HttpClient) { }

  listar(){
    return this.httpCliente.get(this.apiUrl);
  }

  adicionar(premio: any){
    return this.httpCliente.post(this.apiUrl, premio);
  }

  delete(id: number) {
    return this.httpCliente.delete(`${this.apiUrl}/${id}`);
  }

  update(premio: any) {
    return this.httpCliente.put(`${this.apiUrl}/${premio.id}`, premio, this.httpOptions);
  }
}
