import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { OauthGuard } from '../../seguranca/oauth.guard';
import { ListagemAbertaComponent } from './listagem-aberta/listagem-aberta.component';
import { CadastroAbertaComponent } from './cadastro-aberta/cadastro-aberta.component';
import { DetalhesAbertaComponent } from './detalhes-aberta/detalhes-aberta.component';

const routes: Routes = [
  { path: 'questao/aberta', 
    component: ListagemAbertaComponent, 
    canActivate: [OauthGuard], 
    data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'listagem' } 
  },
  { path: 'questao/aberta/novo', 
  component: CadastroAbertaComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'cadastro' } 
  },
  { path: 'questao/aberta/:id', 
  component: CadastroAbertaComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'cadastro' } 
  },
  { path: 'questao/aberta/detalhes/:id', 
  component: DetalhesAbertaComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'listagem' } 
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})

export class AbertaRoutingModule { }
