import { Injectable } from '@angular/core';
import {HttpHeaders, HttpClient} from '@angular/common/http';
import { environment } from 'src/environments/environment';
import { Page } from '../../utils/page';
import { Aberta } from './aberta';

@Injectable({
    providedIn: 'root'
})
export class AbertaService{
    httpOptions = {
        headers: new HttpHeaders({
          'Content-Type': 'application/json',
        })
    };
     
    url: string;
     
    constructor(
        private http: HttpClient
      ) {
        this.url = `${environment.apiUrl}/aberta`;
      }
     
      findAll() {
        //como as chamadas de func. da API são URLs, 
        //isso só indica qual url vai ser chamada;
        
        return this.http.get<Page<Aberta>>(`${this.url}/`);
      }
       
      findById(id: number) {
        return this.http.get<Aberta>(`${this.url}/${id}`);
      }
       
      delete(id: number) {
        return this.http.delete<Aberta>(`${this.url}/${id}`);
      }
    
      update(aberta: Aberta) {
        return this.http.put<Aberta>(`${this.url}/${aberta.id}`, aberta, this.httpOptions);
      }
    
      insert(aberta: Aberta) {
        return this.http.post<Aberta>(this.url, aberta, this.httpOptions);
      }
}