import { Component, OnInit } from '@angular/core';
import { Aberta } from '../aberta';
import { BreadcrumbService } from 'src/app/breadcrumb.service';
import { MessageService } from 'primeng/api';
import { ActivatedRoute, Router } from '@angular/router';
import { AbertaService } from '../aberta.service';

@Component({
  selector: 'app-detalhes-aberta',
  templateUrl: './detalhes-aberta.component.html',
  styleUrls: ['./detalhes-aberta.component.css']
})
export class DetalhesAbertaComponent implements OnInit {
   
  titulo: string;
  aberta: Aberta;
   
  constructor(
    private breadcrumbService: BreadcrumbService,
    private messageService: MessageService,
    private abertaService: AbertaService,
    private activatedRoute: ActivatedRoute,
    private router: Router
  ) { 
    this.aberta = new Aberta();
     
    const id = this.activatedRoute.snapshot.params['id'];
     
    this.breadcrumbService.setItems([
      { label: 'Abertas', routerLink: ['/questao/aberta'] , visible: true},
      { label: 'Editar', routerLink: [`/questao/aberta/${id}`], visible: id != undefined },
      { label: 'Novo', routerLink: ['/questao/aberta/novo'] , visible: !id},
    ]);
     
    if (id) {
      this.abertaService.findById(id)
        .subscribe(
          (aberta: Aberta) => {
            if(aberta){
              this.aberta = aberta;
              
            
              this.breadcrumbService.setItems([
                { label: 'Abertas', routerLink: ['/questao/aberta'] , visible: true},
                { label: (""+this.aberta.id), routerLink: [`/questao/aberta/${id}`] , visible: true}
              ]);
            } else {
              this.router.navigate(['/questao/aberta']);
            }
          }
        )
    }
     
    this.titulo = 'Detalhes';
  }
   
  ngOnInit() {
  }
   
  mostrarMensagemErro(mensagem: string) {
    this.messageService.add({ severity: 'error', summary: 'Erro', detail: mensagem });
  }
   
  mostrarMensagemInfo(mensagem: string) {
    this.messageService.add({ severity: 'info', summary: 'Info', detail: mensagem });
  }
   
  mostrarMensagemSucesso(mensagem: string) {
    this.messageService.add({ severity: 'success', summary: 'Sucesso', detail: mensagem });
  }
   
}
