import { Injectable } from '@angular/core';
import { HttpHeaders, HttpClient } from '@angular/common/http';
import { environment } from '../../../environments/environment';

const httpOptions = {
  headers: new HttpHeaders({
    'Content-Type':  'application/json',
  }),
  withCredentials: true
};

@Injectable({
  providedIn: 'root'
})
export class LogoutService {

  urlRevokeToken: string;

  constructor(private http: HttpClient) {
    this.urlRevokeToken = `${environment.apiUrl}/tokens/revoke`;
  }

  delete() {
    return this.http.delete(this.urlRevokeToken, httpOptions);
  }

}
