import { Component, OnInit } from '@angular/core';
import { UsuariosService } from 'src/app/usuarios/usuarios.service';
import { HttpErrorResponse } from '@angular/common/http';
import { MessageService } from 'primeng/api';
import { Router } from '@angular/router';

@Component({
  selector: 'app-recuperar-senha',
  templateUrl: './recuperar-senha.component.html',
  styleUrls: ['./recuperar-senha.component.css']
})
export class RecuperarSenhaComponent implements OnInit {

  blockedDocument: boolean;

  constructor(
    private usuariosService: UsuariosService,
    private messageService: MessageService,
    private router: Router
  ) { }

  ngOnInit() {
  }

  voltar() {
    window.history.back();
  }

  enviarEmail(email) {
    this.blockedDocument = true;
    this.usuariosService.recuperarSenha(email)
      .subscribe(
        () => {
          this.blockedDocument = false;
          this.messageService.add(
            {
              severity: 'success',
              summary: 'Sucesso',
              detail: `Um email contendo sua nova senha foi enviado! 
                       Utilize o link enviado para finalizar a recuperação!`
            });
          setTimeout(() => { this.router.navigate(['/login']) }, 3000)
        },
        (erro: HttpErrorResponse) => {
          this.blockedDocument = false;
          this.messageService.add({ severity: 'error', detail: 'O email informado não foi encontrado!' })
        }
      )
  }

}