import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { SegurancaRoutingModule } from './seguranca-routing.module';
import { LoginFormComponent } from './login-form/login-form.component';
import { FormsModule } from '@angular/forms';
import { OauthService } from './oauth.service';
import { JwtHelperService } from '@auth0/angular-jwt';
import { LogoutService } from './logout/logout.service';
import { AcessoNegadoComponent } from './acesso-negado/acesso-negado.component';
import { MessageService } from 'primeng/api';
import { ToastModule } from 'primeng/toast';
import { BlockUIModule } from 'primeng/blockui';
import { ProgressSpinnerModule } from 'primeng/progressspinner';
import { PaginaNaoEncontradaComponent } from './pagina-nao-encontrada/pagina-nao-encontrada.component';
import { ButtonModule } from 'primeng/button';
import { InputTextModule } from 'primeng/inputtext';
import { PasswordModule } from 'primeng/password';
import { RecuperarSenhaComponent } from './recuperar-senha/recuperar-senha.component';

@NgModule({
  imports: [
    CommonModule,
    FormsModule,
    SegurancaRoutingModule,
    ToastModule,
    BlockUIModule,
    ButtonModule,
    InputTextModule,
    PasswordModule,
    ProgressSpinnerModule

  ],
  declarations: [LoginFormComponent, AcessoNegadoComponent, PaginaNaoEncontradaComponent, RecuperarSenhaComponent],
  providers: [
    OauthService,
    JwtHelperService,
    LogoutService,
    MessageService
  ]
})
export class SegurancaModule { }
