import { Component, OnInit } from '@angular/core';
import { BreadcrumbService } from 'src/app/breadcrumb.service';
import { MessageService } from 'primeng/api';
import { PessoaT } from '../pessoat';
import { PessoasTService } from '../pessoast.service';
import { Router, ActivatedRoute } from '@angular/router';

@Component({
  selector: 'app-detalhes-pessoat',
  templateUrl: './detalhes-pessoat.component.html',
  styleUrls: ['./detalhes-pessoat.component.css']
})
export class DetalhesPessoaTComponent implements OnInit {

  titulo: string;
  pessoat: PessoaT;
  statusPessoaT: boolean = true;
  
  cols: any[];
  loading: boolean;


  constructor(
    private breadcrumbService: BreadcrumbService,
    private messageService: MessageService,
    private pessoatsService: PessoasTService,
    private activatedRoute: ActivatedRoute,
    private router: Router
  ) {
    this.pessoat = new PessoaT();

    const id = this.activatedRoute.snapshot.params['id'];
    
    this.breadcrumbService.setItems([
      { label: 'Testes', visible: true},
      { label: 'Pessoas Teste', routerLink: ['/testes/pessoast'] , visible: true},
      { label: 'Editar', routerLink: [`/testes/pessoast/${id}`], visible: id != undefined },
    ]);

    if (id) {
      this.pessoatsService.findById(id)
        .subscribe(
          (pessoat: PessoaT) => {
            if(pessoat){
              this.pessoat = pessoat;
              console.log(this.pessoat);
              this.statusPessoaT = (this.pessoat.status == 'ATIVO');
            
              this.breadcrumbService.setItems([
                { label: 'Testes', visible: true},
                { label: 'Pessoas Teste', routerLink: ['/testes/pessoast'] , visible: true},
                { label: this.pessoat.nome, routerLink: [`/testes/pessoast/${id}`] , visible: true}
              ]);
            } else {
              this.router.navigate(['/testes/pessoats']);
            }
          }
        )
    } 

    this.titulo = 'Detalhes';
  }

  ngOnInit() {
    
  }
  
  mostrarMensagemErro(mensagem: string) {
    this.messageService.add({ severity: 'error', summary: 'Erro', detail: mensagem });
  }

  mostrarMensagemInfo(mensagem: string) {
    this.messageService.add({ severity: 'info', summary: 'Info', detail: mensagem });
  }

  mostrarMensagemSucesso(mensagem: string) {
    this.messageService.add({ severity: 'success', summary: 'Sucesso', detail: mensagem });
  }

}
