import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { CadastroPessoaTComponent } from './cadastro-pessoat/cadastro-pessoat.component';
import { OauthGuard } from '../../seguranca/oauth.guard';
import { ListagemPessoaTComponent } from './listagem-pessoat/listagem-pessoat.component';
import { DetalhesPessoaTComponent } from './detalhes-pessoat/detalhes-pessoat.component';

const routes: Routes = [
  { path: 'testes/pessoast', 
    component: ListagemPessoaTComponent, 
    canActivate: [OauthGuard], 
    data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'listagem' } 
  },
  { path: 'testes/pessoast/novo', 
  component: CadastroPessoaTComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'cadastro' } 
  },
  { path: 'testes/pessoast/:id', 
  component: CadastroPessoaTComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'cadastro' } 
  },
  { path: 'testes/pessoast/detalhes/:id', 
  component: DetalhesPessoaTComponent, 
  canActivate: [OauthGuard], 
  data: { roles: ['ROLE_ADMINISTRADOR', 'ROLE_USUARIO'], animation: 'listagem' } 
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class PessoasTRoutingModule { }
