import { Injectable } from '@angular/core';
import { PessoaT } from './pessoat';
import { HttpHeaders, HttpClient } from '@angular/common/http';
import { environment } from 'src/environments/environment';
import { Page } from '../../utils/page';

@Injectable({
  providedIn: 'root'
})
export class PessoasTService {

  httpOptions = {
    headers: new HttpHeaders({
      'Content-Type': 'application/json',
    })
  };

  url: string;
  idCount: number = 2;

  constructor(
    private http: HttpClient
  ) {
    this.url = `${environment.apiUrl}/testes/pessoas`;
  }

  findAll(pagina: number) {
    return this.http.get<Page<PessoaT>>(`${this.url}?pag=${pagina}`);
  }
  
  findByFiltro(nome:string, pagina: number) {
    return this.http.get<Page<PessoaT>>(`${this.url}?filtro=${nome}&pag=${pagina}`);
  }

  findById(id: number) {
    return this.http.get<PessoaT>(`${this.url}/${id}`);
  }

  delete(id: number) {
    return this.http.delete<PessoaT>(`${this.url}/${id}`);
  }

  update(pessoa: PessoaT) {
    return this.http.put<PessoaT>(`${this.url}/${pessoa.id}`, pessoa, this.httpOptions);
  }

  insert(pessoa: PessoaT) {
    return this.http.post<PessoaT>(this.url, pessoa, this.httpOptions);
  }

}
