import { Injectable } from '@angular/core';
import { Conta } from './conta';
import { HttpClient, HttpHeaders } from '@angular/common/http';
import { environment } from 'src/environments/environment';

@Injectable({
  providedIn: 'root'
})
export class ContasService {

  httpOptions = {
    headers: new HttpHeaders({
      'Content-Type': 'application/json',
    })
  };

  url: string;

  constructor(
    private http: HttpClient
  ) {
    this.url = `${environment.apiUrl}/contas`;
  }

  findByIdUsuario(id: number) {
    return this.http.get<Conta>(`${this.url}/usuario/${id}`);
  }

}
