import { Component, OnInit } from '@angular/core';
import { Conta } from '../conta';
import { ContasService } from '../contas.service';
import { Router, ActivatedRoute } from '@angular/router';
import * as moment from 'moment';

@Component({
  selector: 'app-extrato',
  templateUrl: './extrato.component.html',
  styleUrls: ['./extrato.component.css']
})
export class ExtratoComponent implements OnInit {

  conta: Conta;
  loading: boolean;
  dataInicio: Date;
  dataFim: Date;

  constructor(
    private contasService: ContasService,
    private router: Router,
    private activatedRoute: ActivatedRoute
  ) { }

  ngOnInit() {
    this.conta = new Conta();

    const id = this.activatedRoute.snapshot.params['id'];
    if (id) {
      this.loading = true;
      this.contasService.findByIdUsuario(id)
        .subscribe(
          (conta: Conta) => {
            this.loading = false;
            if (conta) {
              this.conta = conta;
            } else {
              this.router.navigate(['/pagina-nao-encontrada']);
            }
          }
        )
    }
  }

}
