import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { environment } from 'src/environments/environment';
import { Permissao } from './permissao';

@Injectable({
  providedIn: 'root'
})
export class PermissoesService {

  url: string;

  constructor(
    private http: HttpClient
  ) { 
    this.url = `${environment.apiUrl}/permissoes`;
  }

  findAll() {
    return this.http.get<Permissao[]>(this.url);
  }
  
  findByPermissao(permissao: string) {
    return this.http.get<Permissao>(`${this.url}/${permissao}`);
  }
}
