import { Injectable } from '@angular/core';
import { Conta } from './conta';
import { HttpClient, HttpHeaders } from '@angular/common/http';
import { environment } from 'src/environments/environment';
import { Page } from '../utils/page';
import { Transacao } from './transacao';

@Injectable({
  providedIn: 'root'
})
export class TransacoesService {

  httpOptions = {
    headers: new HttpHeaders({
      'Content-Type': 'application/json',
    })
  };

  url: string;

  constructor(
    private http: HttpClient
  ) {
    this.url = `${environment.apiUrl}/transacoes`;
  }

  findByConta(id: number) {
    return this.http.get<Conta>(`${this.url}/conta/${id}`);
  }
  
  findAll(pagina: number) {
    return this.http.get<Page<Transacao>>(`${this.url}?pagina=${pagina}`);
  }
  
  findByDataHoraBetween(inicio:string, fim:string, pagina: number) {
    return this.http.get<Page<Transacao>>(`${this.url}?inicio=${inicio}&fim=${fim}&pagina=${pagina}`);
  }
  findByDataHoraAfter(inicio:string, pagina: number) {
    return this.http.get<Page<Transacao>>(`${this.url}?inicio=${inicio}&pagina=${pagina}`);
  }
  findByDataHoraBefore(fim:string, pagina: number) {
    return this.http.get<Page<Transacao>>(`${this.url}?fim=${fim}&pagina=${pagina}`);
  }
}
