import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { OauthGuard } from '../seguranca/oauth.guard';
import { CadastroAdministradorComponent } from './cadastro-administrador/cadastro-administrador.component';
import { ListagemAdministradorComponent } from './listagem-administrador/listagem-administrador.component';
import { ExtratoComponent } from './extrato/extrato.component';
import { ContaGuard } from './conta.guard';
import { AlterarSenhaComponent } from './alterar-senha/alterar-senha.component';
import { FinanceiroComponent } from './financeiro/financeiro.component';

const routes: Routes = [

  { path: 'administradores', component: ListagemAdministradorComponent, canActivate: [OauthGuard], data: { roles: ['ROLE_ADMINISTRADOR'], animation: 'listagem' } },
  { path: 'administradores/novo', component: CadastroAdministradorComponent, canActivate: [OauthGuard], data: { roles: ['ROLE_ADMINISTRADOR'], animation: 'cadastro' } },
  { path: 'administradores/:id', component: CadastroAdministradorComponent, canActivate: [OauthGuard], data: { roles: ['ROLE_ADMINISTRADOR'], animation: 'cadastro' } },

  { path: 'extrato/:id', component: ExtratoComponent, canActivate: [OauthGuard, ContaGuard], data: { roles: ['ROLE_ADMINISTRADOR','ROLE_PESSOA'], animation: 'listagem' } },

  { path: 'financeiro', component: FinanceiroComponent, canActivate: [OauthGuard], data: { roles: ['ROLE_ADMINISTRADOR'], animation: 'cadastro' } },

  { path: 'alterar-senha/:id', component: AlterarSenhaComponent, canActivate: [OauthGuard, ContaGuard], data: { roles: ['ROLE_ADMINISTRADOR','ROLE_PESSOA'], animation: 'cadastro' } },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class UsuariosRoutingModule { }
