import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { UsuariosRoutingModule } from './usuarios-routing.module';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';

import { AutoCompleteModule } from 'primeng/autocomplete';
import { BlockUIModule } from 'primeng/blockui';
import { ButtonModule } from 'primeng/button';
import { DialogModule } from 'primeng/dialog';
import { CalendarModule } from 'primeng/calendar';
import { CheckboxModule } from 'primeng/checkbox';
import { ConfirmDialogModule } from 'primeng/confirmdialog';
import { DropdownModule } from 'primeng/dropdown';
import { FileUploadModule } from 'primeng/fileupload';
import { InputMaskModule } from 'primeng/inputmask';
import { InputSwitchModule } from 'primeng/inputswitch';
import { InputTextareaModule } from 'primeng/inputtextarea';
import { InputTextModule } from 'primeng/inputtext';
import { KeyFilterModule } from 'primeng/keyfilter';
import { PasswordModule } from 'primeng/password';
import { ProgressSpinnerModule } from 'primeng/progressspinner';
import { RadioButtonModule } from 'primeng/radiobutton';
import { SelectButtonModule } from 'primeng/selectbutton';
import { SpinnerModule } from 'primeng/spinner';
import { StepsModule } from 'primeng/steps';
import { TableModule } from 'primeng/table';
import { TabViewModule } from 'primeng/tabview';
import { ToastModule } from 'primeng/toast';
import { TooltipModule } from 'primeng/tooltip';
import { CadastroAdministradorComponent } from './cadastro-administrador/cadastro-administrador.component';
import { ListagemAdministradorComponent } from './listagem-administrador/listagem-administrador.component';
import { GlobalPipesModule } from '../global-pipes/global-pipes.module';
import { UsuariosService } from './usuarios.service';
import { PermissoesService } from './permissoes.service';
import { ExtratoComponent } from './extrato/extrato.component';
import { ContasService } from './contas.service';
import { ContaGuard } from './conta.guard';
import { AlterarSenhaComponent } from './alterar-senha/alterar-senha.component';
import { FinanceiroComponent } from './financeiro/financeiro.component';
import { TransacoesService } from './transacoes.service';
import { MessageService } from 'primeng/api';

@NgModule({
  declarations: [CadastroAdministradorComponent, ListagemAdministradorComponent,  ExtratoComponent, AlterarSenhaComponent, FinanceiroComponent],
  imports: [
    CommonModule,
    UsuariosRoutingModule,
    FormsModule,
    ReactiveFormsModule,

    AutoCompleteModule,
    BlockUIModule,
    ButtonModule,
    CalendarModule,
    CheckboxModule,
    ConfirmDialogModule,
    DialogModule,
    DropdownModule,
    FileUploadModule,
    InputMaskModule,
    InputSwitchModule,
    InputTextareaModule,
    InputTextModule,
    KeyFilterModule,
    PasswordModule,
    ProgressSpinnerModule,
    RadioButtonModule,
    SelectButtonModule,
    SpinnerModule,
    StepsModule,
    TableModule,
    TabViewModule,
    ToastModule,
    TooltipModule,

    GlobalPipesModule

  ],
  providers: [
    MessageService,
    UsuariosService,
    PermissoesService,
    ContasService,
    TransacoesService,
    ContaGuard
  ]
})
export class UsuariosModule { }
