package com.alessiojr.account.mail;

import com.alessiojr.config.property.AppProperties;
import java.io.FileNotFoundException;
import java.io.InputStream;
import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.mail.MessagingException;
import javax.mail.internet.MimeMessage;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.core.io.FileSystemResource;
import org.springframework.core.io.InputStreamResource;
import org.springframework.core.io.InputStreamSource;
import org.springframework.mail.javamail.JavaMailSender;
import org.springframework.mail.javamail.MimeMessageHelper;
import org.springframework.util.ResourceUtils;
import org.thymeleaf.TemplateEngine;

public abstract class Mailer {

    @Autowired
    private JavaMailSender mailSender;

    @Autowired
    protected AppProperties properties;

    @Autowired
    protected TemplateEngine thymeleaf;

    protected void enviarEmail(List<String> destinatarios, String assunto, String mensagem) {
        try {

            MimeMessage mimeMessage = mailSender.createMimeMessage();

            MimeMessageHelper helper = new MimeMessageHelper(mimeMessage, true, "UTF-8");
            helper.setFrom(properties.getEmail().getRemetente());
            helper.setTo(destinatarios.toArray(new String[destinatarios.size()]));
            helper.setSubject(assunto);
            helper.setText(mensagem, true);
            
            InputStreamSource inputStreamSource = new FileSystemResource(
                    ResourceUtils.getFile("classpath:/static/images/logo.png"));
            helper.addInline("logo", inputStreamSource, "image/png");

            
            if (properties.getEmail().isEnable()) {
                mailSender.send(mimeMessage);
            }
        } catch (Exception e) {
//            throw new RuntimeException("Problemas com o envio de e-mail!", e);
        }
//            Logger.getLogger(Mailer.class.getName()).log(Level.SEVERE, null, ex);
        
    }

}
