package com.alessiojr.account.mail;

import com.alessiojr.account.model.Pessoa;
import java.util.Arrays;
import java.util.Locale;
import org.springframework.stereotype.Component;
import org.thymeleaf.context.Context;

@Component
public class PessoaMailer extends Mailer {

    public void enviarConfirmacaoCadastro(Pessoa destinatario) {
        
        Context context = new Context(new Locale("pt", "BR"));
        context.setVariable("nome", destinatario.getNome());
        
        String assunto = "Confirmação de cadastro Sistema";
        String template = "mail/cadastro-pessoa.html";
        
        String mensagem = thymeleaf.process(template, context);
        

        this.enviarEmail(Arrays.asList(destinatario.getEmail()), assunto, mensagem);
    }
    
    public void enviarConfirmacaoCadastro(Pessoa destinatario, String senhaTemporaria) {
        
        Context context = new Context(new Locale("pt", "BR"));
        context.setVariable("nome", destinatario.getNome());
        context.setVariable("senha", senhaTemporaria);
        
        String assunto = "Confirmação de cadastro Sistema";
        String template = "mail/cadastro-pessoa-senhaTemp.html";
        
        String mensagem = thymeleaf.process(template, context);
        

        this.enviarEmail(Arrays.asList(destinatario.getEmail()), assunto, mensagem);
    }

}
