package com.alessiojr.account.mail;

import com.alessiojr.config.property.AppProperties;
import com.alessiojr.security.model.RecuperarSenha;
import com.alessiojr.security.model.Usuario;
import java.util.Arrays;
import java.util.Locale;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.thymeleaf.context.Context;

@Component
public class UsuarioMailer extends Mailer {
    
    @Autowired
    private AppProperties property;

    public void enviarConfirmacaoNovaSenha(Usuario destinatario, RecuperarSenha rec) {
        
        Context context = new Context(new Locale("pt", "BR"));
        context.setVariable("nome", destinatario.getNome());
        context.setVariable("senhaTemp", rec.getSenhaTemporaria());
        
        String link = property.getUrlApi() + "/usuarios/recuperar-senha/" + rec.getToken();
        context.setVariable("link", link);
        
        String assunto = "Recuperar senha Sistema";
        String template = "mail/nova-senha-usuario.html";
        
        String mensagem = thymeleaf.process(template, context);
        

        this.enviarEmail(Arrays.asList(destinatario.getEmail()), assunto, mensagem);
    }

}
