package com.alessiojr.account.model;

import com.alessiojr.account.enums.GeneroPessoa;
import com.alessiojr.account.enums.OpcaoComoConheceu;
import com.alessiojr.account.enums.OpcaoEstadoCivil;
import com.alessiojr.account.enums.OpcaoSimNao;
import java.io.Serializable;
import java.time.LocalDate;
import javax.persistence.Column;
import javax.persistence.Embeddable;
import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import javax.validation.constraints.NotNull;
import lombok.Getter;
import lombok.Setter;

@Embeddable
@Getter
@Setter
public class DadosPessoais implements Serializable {
    
    private String urlFoto;

    private String telefone;

    private String celular;

    @NotNull
    @Column(length=32)
    private String cpf;

    private String rg;

//    @NotNull
    @Enumerated(EnumType.STRING)
    private GeneroPessoa genero;

    @NotNull
    private LocalDate dataNascimento;

    private String escolaridade;
    
    private String profissao;

    private String cargo;

    @Enumerated(EnumType.STRING)
    private OpcaoComoConheceu comoConheceu;

    @Enumerated(EnumType.STRING)
    private OpcaoEstadoCivil estadoCivil;

}
