package com.alessiojr.account.model;

import java.io.Serializable;
import javax.persistence.Entity;
import javax.persistence.ForeignKey;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;

@Entity
@Table(name = "FotoPessoa")
@Getter
@Setter
@EqualsAndHashCode(onlyExplicitlyIncluded = true)
public class FotoPessoa implements Serializable {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @EqualsAndHashCode.Include
    private Long idFotoPessoa;

    @NotNull
    @NotEmpty
    private String nomeArquivo;

    private String descricao;

    @ManyToOne
    @JoinColumn(
            foreignKey = @ForeignKey(name = "FK_Foto_Pessoa"),
            name = "pessoa_idUsuario",
            nullable = false,
            referencedColumnName = "idUsuario")
    private Pessoa pessoa;
}
