package com.alessiojr.account.model;

import com.alessiojr.account.enums.CategoriaTransacao;
import com.alessiojr.account.enums.NomeTipoTransacao;
import com.alessiojr.security.model.Auditable;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;

@Entity
@Table(name = "TipoTransacao")
@Getter
@Setter
@EqualsAndHashCode(onlyExplicitlyIncluded = true, callSuper = true)
public class TipoTransacao extends Auditable{
    
    @Id
    @EqualsAndHashCode.Include
    @Enumerated(EnumType.STRING)
    @Column(length=64)
    private NomeTipoTransacao nome;

    @NotNull
    @NotEmpty
    @Enumerated(EnumType.STRING)
    private CategoriaTransacao tipo;


}
