package com.alessiojr.account.repository;

import com.alessiojr.account.model.Pessoa;
import com.alessiojr.security.repository.UsuarioRepository;
import java.util.ArrayList;
import java.util.List;
import java.util.Optional;
import java.util.Set;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.Query;
import org.springframework.transaction.annotation.Transactional;

@Transactional
public interface PessoaRepository extends UsuarioRepository<Pessoa> {

    @Query("SELECT c FROM Pessoa c WHERE c.nome LIKE CONCAT('%', :nome, '%')")
    public Page<Pessoa> findAllByNome(String nome, Pageable pageable);

    @Query("SELECT c FROM Pessoa c WHERE c.dadosPessoais.cpf LIKE :cpf")
    public Optional<Pessoa> findByCPF(String cpf);

    public Optional<Pessoa> findByIdUsuario(Long idUsuario);

    //@Query("SELECT c.endereco.cidade.estado.uf, COUNT(c.idUsuario) FROM Pessoa c GROUP BY c.endereco.cidade.estado.uf")
    //public List<Object> countPessoasByEstados();

//    @Query("SELECT c.dadosPessoais.genero, COUNT(c.idUsuario) FROM Pessoa c "
//            + "WHERE c.dadosPessoais.genero IS NOT NULL "
//            + "GROUP BY c.dadosPessoais.genero")
//    public List<Object> countPessoasByGenero();
//
//    @Query("SELECT c.dadosPessoais.comoConheceu, COUNT(c.idUsuario) FROM Pessoa c "
//            + "WHERE c.dadosPessoais.comoConheceu IS NOT NULL "
//            + "GROUP BY c.dadosPessoais.comoConheceu")
//    public List<Object> countPessoasByComoConheceu();

    @Query("SELECT c FROM Pessoa c")
    public Set<Pessoa> findAllPessoas();

}
