package com.alessiojr.account.resource;

import com.alessiojr.account.model.Conta;
import com.alessiojr.account.service.ContaService;
import java.util.Optional;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/contas")
public class ContaResource {

    @Autowired
    private ContaService contas;

    @GetMapping("/usuario/{idUsuario}")
    public ResponseEntity<Conta> findByIdUsuario(@PathVariable Long idUsuario) {
        Optional<Conta> op = this.contas.findByIdUsuario(idUsuario);
        if(!op.isPresent()){
            return ResponseEntity.notFound().build();
        }
        return ResponseEntity.ok(op.get());
    }

}
