package com.alessiojr.account.resource;

import com.alessiojr.account.model.Transacao;
import com.alessiojr.account.service.TransacaoService;
import java.time.LocalDate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/transacoes")
public class TransacoesResource {

    @Autowired
    private TransacaoService transacoes;

    @GetMapping("conta/{conta}")
    public Page<Transacao> findByConta(@PathVariable Long conta, @RequestParam Integer pagina) {
        return this.transacoes.findByConta(conta, pagina);
    }

    @GetMapping(params = {"pagina"})
    public Page<Transacao> findAll(@RequestParam Integer pagina) {
        return this.transacoes.findAll(pagina);
    }

    @GetMapping(params = {"inicio", "fim", "pagina"})
    public Page<Transacao> findByDataHoraBetween(
            @RequestParam LocalDate inicio,
            @RequestParam LocalDate fim,
            @RequestParam Integer pagina) {
        return this.transacoes.findByDataHoraBetween(inicio, fim, pagina);
    }
    
    @GetMapping(params = {"inicio", "pagina"})
    public Page<Transacao> findByDataHoraAfter(
            @RequestParam LocalDate inicio,
            @RequestParam Integer pagina) {
        return this.transacoes.findByDataHoraAfter(inicio, pagina);
    }
    
    @GetMapping(params = {"fim", "pagina"})
    public Page<Transacao> findByDataHoraBefore(
            @RequestParam LocalDate fim,
            @RequestParam Integer pagina) {
        return this.transacoes.findByDataHoraBefore(fim, pagina);
    }

}
