package com.alessiojr.account.serializer;

import com.alessiojr.account.model.Conta;
import com.alessiojr.security.model.Usuario;
import com.fasterxml.jackson.core.JsonGenerator;
import com.fasterxml.jackson.databind.SerializerProvider;
import com.fasterxml.jackson.databind.ser.std.StdSerializer;
import java.io.IOException;
import org.springframework.beans.BeanUtils;

public class ContaSerializer extends StdSerializer<Conta> {

    public ContaSerializer() {
        this(null);
    }

    public ContaSerializer(Class<Conta> c) {
        super(c);
    }

    @Override
    public void serialize(Conta c, JsonGenerator jg, SerializerProvider sp) throws IOException {
        jg.writeStartObject();
        jg.writeNumberField("idConta", c.getIdConta());
        jg.writeNumberField("saldo", c.getSaldo());

        jg.writeObjectField("transacoes", c.getTransacoes());

        if (c.getUsuario() != null) {
            Usuario temp = new Usuario();
            BeanUtils.copyProperties(c.getUsuario(), temp, "conta");
            
            jg.writeObjectField("usuario", temp);
        }
        jg.writeEndObject();
    }

}
