package com.alessiojr.account.service;

import com.alessiojr.account.model.Conta;
import com.alessiojr.account.repository.ContaRepository;
import java.util.Optional;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class ContaService {

    @Autowired
    private ContaRepository contas;

    public Optional<Conta> findByIdUsuario(Long idUsuario) {
        Optional<Conta> conta = this.contas.findByIdUsuario(idUsuario);
        
        if(conta.isPresent() && conta.get().getTransacoes() != null){
            conta.get().getTransacoes().sort((t1, t2) -> t2.getDataHora().compareTo(t1.getDataHora()));
        }
        
        return conta;
    }

}
