package com.alessiojr.apertium.model;

import java.util.ArrayList;
import java.util.List;
import lombok.Getter;
import lombok.Setter;

/**
 *
 * @author vinicius
 */
@Getter
@Setter
public class LemmaDTO {

    private long id;
    private String lemma;
    private List<LemmaInflectionDTO> inflections;

    public LemmaDTO(LemmaDef lemmaDef, boolean inflections) {
        this.id = lemmaDef.getId();
        this.lemma = lemmaDef.getName();
        if (inflections) {
            this.inflections = new ArrayList<>();
            for (LemmaInflection inflection : lemmaDef.getInflections()) {
                this.inflections.add(new LemmaInflectionDTO(inflection));
            }
        }
    }

    public static List<LemmaDTO> listConstructor(List<LemmaDef> lemmaDefs, boolean inflections) {
        List<LemmaDTO> result = new ArrayList<>();
        for (LemmaDef lemmaDef : lemmaDefs) {
            result.add(new LemmaDTO(lemmaDef, inflections));
        }
        return result;
    }

}
