package com.alessiojr.apertium.model;

import java.io.Serializable;
import java.util.List;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import lombok.Getter;
import lombok.Setter;
import org.hibernate.annotations.Cascade;
import org.hibernate.annotations.CascadeType;

/**
 *
 * @author vinicius
 */
@Entity
@Getter
@Setter
@Table(name = "lemmaDef")
public class LemmaDef implements Serializable {

    @Id
    @Column(updatable = false, nullable = false)
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private long id;

    @ManyToOne
    @JoinColumn(name = "myDictionary_id")
    private MyDictionary myDictionary;

    private String name;

    private String invariant;

    @ManyToOne
    @JoinColumn(name = "parDef_id")
    private ParDef parDef;

    @OneToMany(mappedBy = "lemmaDef")
    @Cascade(CascadeType.ALL)
    private List<LemmaInflection> inflections;

    public LemmaDef(String name, String invariant, MyDictionary myDictionary, ParDef parDef) {
        this.myDictionary = myDictionary;
        this.name = name;
        this.invariant = invariant;
        this.parDef = parDef;
    }

    public LemmaDef() {
    }

}
