package com.alessiojr.apertium.model;

import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import lombok.Getter;
import lombok.Setter;

/**
 *
 * @author vinicius
 */
@Entity
@Getter
@Setter
@Table(name = "lemmaInflection")
public class LemmaInflection implements Serializable {

    @Id
    @Column(updatable = false, nullable = false)
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private long id;

    @ManyToOne
    @JoinColumn(name = "lemmaDef_id")
    private LemmaDef lemmaDef;

    @Column(nullable = false)
    private String inflection;

    public LemmaInflection() {
    }

    public LemmaInflection(LemmaDef lemmaDef, String inflection) {
        this.lemmaDef = lemmaDef;
        this.inflection = inflection;
    }

}
