package com.alessiojr.apertium.model;

/**
 *
 * @author vinicius
 */
import com.alessiojr.security.model.Usuario;
import java.io.Serializable;
import java.util.List;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.OneToOne;
import javax.persistence.Table;
import lombok.Getter;
import lombok.Setter;

/**
 *
 * @author vinicius
 */
@Entity
@Getter
@Setter
@Table(name = "myDictionary")
public class MyDictionary implements Serializable {

    @Id
    @Column(updatable = false, nullable = false)
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private long id;

    @Column(nullable = false)
    private String name;

    @OneToOne
    private Usuario user;

    @OneToOne
    private OfficialDictionary officialDictionary;

    @OneToMany(mappedBy = "myDictionary")
    private List<SymDef> symDefs;
    
    @OneToMany(mappedBy = "myDictionary")
    private List<ParDef> parDefs;

    @OneToMany(mappedBy = "myDictionary")
    private List<LemmaDef> lemmaDefs;

    public MyDictionary() {
    }

    public String getLocal_file() {
        return "/" + this.user.getIdUsuario() + "/" + this.id + ".xml";
    }

}
