package com.alessiojr.apertium.model;

import java.io.Serializable;
import java.util.List;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import lombok.Getter;
import lombok.Setter;
import org.hibernate.annotations.Cascade;
import org.hibernate.annotations.CascadeType;

/**
 *
 * @author vinicius
 */
@Entity
@Getter
@Setter
@Table(name = "parDef")
public class ParDef implements Serializable {

    @Id
    @Column(updatable = false, nullable = false)
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private long id;

    @Column(nullable = false)
    private String name;

    @OneToMany(mappedBy = "parDef")
    @Cascade(CascadeType.ALL)
    private List<ParEntry> parEntry;

    @OneToMany(mappedBy = "parDef")
    @Cascade(CascadeType.ALL)
    private List<LemmaDef> lemmaList;

    @ManyToOne
    @JoinColumn(name = "myDictionary_id")
    private MyDictionary myDictionary;

}
