package com.alessiojr.apertium.repository;

import com.alessiojr.apertium.model.LemmaDef;
import com.alessiojr.apertium.model.MyDictionary;
import java.util.List;
import java.util.Optional;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author vinicius
 */
@Transactional
public interface LemmaDefRepository<T extends LemmaDef> extends JpaRepository<LemmaDef, Long> {

    public void deleteAllByMyDictionary(MyDictionary myDictionary);
    public List<T> findAllByMyDictionary(MyDictionary myDictionary);
    public Optional<T> findByName(String name);
    
}
