package com.alessiojr.apertium.repository;

import com.alessiojr.apertium.model.MyDictionary;
import com.alessiojr.apertium.model.SymDef;
import java.util.List;
import java.util.Optional;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author vinicius
 */
@Transactional
public interface SymDefRepository<T extends SymDef> extends JpaRepository<SymDef, Long> {

    public Optional<T> findByName(String name);

    public List<T> findAllByMyDictionary(MyDictionary myDictionary);

    public void deleteAllByMyDictionary(MyDictionary myDictionary);
}
