package com.alessiojr.common.util;

public class MessageUtil
{
    /**
     * Returns the original string given with all occurences of %n 
     * replaced with the n-th pameter given (0-based). Does not do any
     * checking to find out whether the parameter list is consistent with the
     * original string.
     * 
     * @param original The original string
     * @param parameters The parameters
     * @return The parsed string.
     */
    public static String parse(String original, String... parameters) 
    {
        String result = original;
        if (1 == parameters.length)
        {
            result = result.replaceAll("%", parameters[0]);
        }
        
        for (int i = 0; i < parameters.length; i++)
        {
            result = result.replaceAll("%" + i, parameters[i]);
        }
        return result;
    }
}