package com.alessiojr.config.property;

import lombok.Getter;
import lombok.Setter;
import org.springframework.boot.context.properties.ConfigurationProperties;

@Getter @Setter
@ConfigurationProperties("app")
public class AppProperties {

    /* URL base da API. Informar sem o caracter "/" no final */
    private String tituloApi;
    private String descricao;
    private String versao;
    private String originPermitida;
    private String diretorioUploadFotos;
    private String urlApi;
    
    private final SecurityInfo security = new SecurityInfo();
    private final ContactInfo contact = new ContactInfo();
    private final LicenseInfo license = new LicenseInfo();
    private final EmailInfo email = new EmailInfo();
}
