package com.alessiojr.config.token;

import com.alessiojr.security.UsuarioSistema;
import java.util.HashMap;
import java.util.Map;
import org.springframework.security.oauth2.common.DefaultOAuth2AccessToken;
import org.springframework.security.oauth2.common.OAuth2AccessToken;
import org.springframework.security.oauth2.provider.OAuth2Authentication;
import org.springframework.security.oauth2.provider.token.TokenEnhancer;

public class CustomTokenEnhancer implements TokenEnhancer {
    
    @Override
    public OAuth2AccessToken enhance(OAuth2AccessToken accessToken, OAuth2Authentication authentication) {
        UsuarioSistema usuarioSistema = (UsuarioSistema) authentication.getPrincipal();

        Map<String, Object> addInfo = new HashMap<>();
        addInfo.put("idUsuario", usuarioSistema.getUsuario().getIdUsuario());
        addInfo.put("nome", usuarioSistema.getUsuario().getNome());
        addInfo.put("login", usuarioSistema.getUsuario().getLogin());
        addInfo.put("urlFoto", usuarioSistema.getUsuario().getUrlFoto());

        ((DefaultOAuth2AccessToken) accessToken).setAdditionalInformation(addInfo);
        return accessToken;
    }

}
