package com.alessiojr.drDebug.model;
import com.alessiojr.common.enums.Status;
import com.alessiojr.drDebug.enums.OpcaoNomelinguagem;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
//import javax.validation.constraints.NotBlank;
//import javax.validation.constraints.NotEmpty;
//import javax.validation.constraints.Size;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;


@Entity
@Getter @Setter
@Table
@ApiModel(description = "Class representing a suject.")

public class LinguagemProgramacao implements Serializable {
    
    @Id
    @Column(updatable = false, nullable = false)
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(notes = "The database generated suject ID")
    private Long id;
    
    //@NotEmpty
    //@NotBlank
    //@Size(min = 3, max =45)//O páis com o nome mais comprido do mundo é: Ilhas Menores Distantes dos Estados Unidos (43 letras)
    @ApiModelProperty(notes = "pontoentrada ")
   
    private String pontoentrada;
    
    
    @ApiModelProperty(notes = "Permitir juiz")
    private String podejuiz;
    
    @ApiModelProperty(notes = "Fator tempo")
    @Column(length = 45)
    private int fatortempo;
        
     @ApiModelProperty(notes = "Extensoes")
    @Column(length = 45)
    private String extensao;
    
    @Enumerated(EnumType.STRING)
    @ApiModelProperty(notes = "Nomelinguagem")
    private OpcaoNomelinguagem Nomelinguagem;
            
    @Column(name="dtCriacao", columnDefinition = "date")
    @DateTimeFormat(pattern = "dd/MM/yyyy")
    @Temporal(TemporalType.DATE)
    @ApiModelProperty(notes = "Data de Criacao")
    private Date dtCriacao;
    
     @NotNull
    @Enumerated(EnumType.STRING)
    private Status status;
        
    public LinguagemProgramacao() {
    }


   public LinguagemProgramacao( Date dtCriacao, String pontoentrada, String podejuiz,int fatortempo,  String extensao) {

        this.dtCriacao=dtCriacao;
        this.pontoentrada = pontoentrada;
        this.podejuiz = podejuiz;
        this.fatortempo = fatortempo;
          this.extensao = extensao;
        
        
    }    
    
    
}