package com.alessiojr.drDebug.repository;

import com.alessiojr.drDebug.model.AtividadePraticaa;
import java.util.Optional;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;


public interface AtividadePraticaRepository <A extends AtividadePraticaa> extends JpaRepository<AtividadePraticaa, Long>{
    
    public Optional<AtividadePraticaa> findById(long id);
    public Optional<AtividadePraticaa> findByNomeAndId(String nome, long id);
    
    @Query("SELECT a FROM AtividadePraticaa a WHERE "
            + "a.nome LIKE CONCAT('%', :nome, '%') AND "
            + "a.status != 'INATIVO'")
    public Page<A> findByNomeContaining(String nome, Pageable pageable);
    
}
