package com.alessiojr.drDebug.repository;

import com.alessiojr.common.enums.Status;
import com.alessiojr.drDebug.model.DueloDePontos;
import java.util.Date;
import java.util.Optional;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;


public interface DueloDePontosRepository<T extends DueloDePontos> extends JpaRepository<DueloDePontos, Long>{
    
    public Optional<DueloDePontos> findByJogador1AndJogador2AndPontosAndDataDoDueloAndVencedorAndStatus(String jogador1, String jogador2, int pontos, Date dataDoDuelo, String vencedor, Status status);
    public Page<DueloDePontos> findAll(Pageable pageable);
    
    @Query("SELECT a FROM DueloDePontos a WHERE "
            + "a.id LIKE CONCAT('%', :id, '%') AND "
            + "a.status != 'INATIVO'")
    
    public Page<T> findByIdContaining(Long id, Pageable pageable);
}

