package com.alessiojr.drDebug.repository;

import com.alessiojr.drDebug.model.Empresa;
import java.util.Optional;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;


public interface EmpresaRepository<T extends Empresa> extends JpaRepository<Empresa, Long>{
    
    public Optional<Empresa> findByCnpj(String cnpj);
    public Optional<Empresa> findByNomeAndCnpj(String nome, String cnpj);
    
    @Query("SELECT a FROM Empresa a WHERE "
            + "a.nome LIKE CONCAT('%', :nome, '%') AND "
            + "a.status != 'INATIVO'")
    public Page<T> findByNomeContaining(String nome, Pageable pageable);
  
}
