package com.alessiojr.drDebug.repository;

import com.alessiojr.drDebug.model.GameNivel;
import java.util.Optional;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;


public interface GameNivelRepository<T extends GameNivel> extends JpaRepository<GameNivel, Long> {

    public Optional<GameNivel> findByNome(String nome);
    
    @Query("SELECT a FROM GameNivel a WHERE "
            + "a.nome LIKE CONCAT('%', :nome, '%') AND "
            + "a.status != 'INATIVO'")
    public Page<T> findByNomeContaining(String nome, Pageable pageable);

}
