package com.alessiojr.drDebug.repository;

import com.alessiojr.drDebug.model.LinguagemProgramacao;
import java.util.Optional;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;


public interface LinguagemProgramacaoRepository <A extends LinguagemProgramacao> extends JpaRepository<LinguagemProgramacao, Long>{
    
    public Optional<LinguagemProgramacao> findById(long id);
    
    @Query("SELECT a FROM LinguagemProgramacao a WHERE "
            + "a.Nomelinguagem LIKE CONCAT('%', :Nomelinguagem, '%') AND "
            + "a.status != 'INATIVO'")
    public Page<A> findByNomeContaining(String Nomelinguagem, Pageable pageable);
    
}