package com.alessiojr.estoque.repository;

import java.util.Optional;

import com.alessiojr.estoque.model.Compra;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;

/**
 *
 * @author Abner Kaizer
 */
public interface CompraRepository<T extends Compra> extends JpaRepository<Compra, Long> {

    public Optional<Compra> findById(Long compraid);

    public Page<Compra> findAll(Pageable pageable);

    @Query("SELECT a FROM Compra a WHERE "
            + "a.compraid LIKE CONCAT('%', :compraid, '%')")
    public Page<Compra> findByIdContaining(Long compraid, Pageable pageable);
}
