package com.alessiojr.freeTests.repository;

import com.alessiojr.freeTests.model.PessoaTeste;
import java.util.Optional;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;


public interface PessoaTesteRepository<T extends PessoaTeste> extends JpaRepository<PessoaTeste, Long>{
    
    public Optional<PessoaTeste> findByCpf(String Cpf);
    public Optional<PessoaTeste> findByNomeAndCpf(String nome, String cpf);
    
    @Query("SELECT a FROM PessoaTeste a WHERE "
            + "(a.cpf LIKE CONCAT('%', :termoDeBusca, '%') OR "
            + "a.nome LIKE CONCAT('%', :termoDeBusca, '%')) AND "
            + "a.status != 'INATIVO'")
    public Page<T> findBySearchTerm(String termoDeBusca, Pageable pageable);
}
