package com.alessiojr.freeTests.resource;

import com.alessiojr.freeTests.model.PessoaTeste;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
//import io.swagger.v3.oas.annotations.ExternalDocumentation;
//import io.swagger.v3.oas.annotations.OpenAPIDefinition;
//import io.swagger.v3.oas.annotations.Operation;
//import io.swagger.v3.oas.annotations.info.Contact;
//import io.swagger.v3.oas.annotations.info.Info;
//import io.swagger.v3.oas.annotations.info.License;
//import io.swagger.v3.oas.annotations.security.SecurityRequirement;
//import io.swagger.v3.oas.annotations.servers.Server;
//import io.swagger.v3.oas.annotations.servers.ServerVariable;
//import io.swagger.v3.oas.annotations.tags.Tag;
import java.util.concurrent.atomic.AtomicLong;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/testes")
@Api(value = "/testes", tags = "Teste",  description = "Testes")
public class OlaMundoController {
   
    private final AtomicLong counter = new AtomicLong();
    private static final String template = "Olá, %s!";
     
    @RequestMapping("/olamundo")
    @ApiOperation(value ="Olá Mundo Simples e sem Parametros")
    public String OlaRest() {
        return "Ola Mundo";
    }
   
    @GetMapping("/olaParams")
    @ApiOperation(value ="Olá com Obrigatoriedade apenas do parametro Name e @GetMapping")
    public PessoaTeste OlaPessoaParams(@RequestParam(value="name", defaultValue="World") String name) {
        return new PessoaTeste(counter.incrementAndGet(),
                            "Simples " +  name);
    }
    
    @GetMapping("/olaParams2")
    @ApiOperation(value ="Versão do OlaParns usando o String Format")
    public PessoaTeste OlaPessoaParams2(@RequestParam(value="name", defaultValue="World") String name) {
       return new PessoaTeste(counter.incrementAndGet(),
                            String.format(template, "Param-"+name));

    }

    @RequestMapping(value = "/ola/{name}", method = RequestMethod.GET)
    @ApiOperation(value ="Olá mundo com parametro Path e filtro de RequestMethod")
    public PessoaTeste OlaPessoaPath(@PathVariable(value="name") String name) {
       return new PessoaTeste(counter.incrementAndGet(),
                            String.format(template, "Path-"+name));

    }   
    
}
