package com.alessiojr.gamepoints.repository;

import java.util.Optional;
import com.alessiojr.gamepoints.model.Medalha;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;

public interface MedalhaRepository<T extends Medalha> extends JpaRepository<Medalha, Long>{
    
    //public Optional<Medalha> findById(Long id);
    
    public Optional<Medalha> findByNome(String nome);
    
        @Query("SELECT a FROM Medalha a WHERE "
            + "a.nome LIKE CONCAT('%', :nome, '%') AND "
            + "a.status != 'INATIVO'")
    public Page<T> findByNomeContaining(String nome, Pageable pageable);    
}