package com.alessiojr.influenzer.repository;

import com.alessiojr.influenzer.model.Campanha;
import java.util.Optional;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;


import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;

/**
 *
 * @author Pedro Paulo
 */
public interface CampanhaRepository<T extends Campanha> extends JpaRepository<Campanha, Long>{
    
    public Optional<Campanha> findByNomeAndEmpresa(String nome, String empresa);
    
   @Query("SELECT a FROM Campanha a WHERE "
            + "a.nome LIKE CONCAT('%', :nome, '%') AND "
            + "a.status != 'INATIVO'")
    public Page<T> findByNomeContaining(String nome, Pageable pageable);
}
