package com.alessiojr.influenzer.serializer;

import com.alessiojr.influenzer.model.Campanha;
import com.fasterxml.jackson.core.JsonGenerator;
import com.fasterxml.jackson.databind.SerializerProvider;
import com.fasterxml.jackson.databind.ser.std.StdSerializer;
import java.io.IOException;

public class CampanhaSerializer extends StdSerializer<Campanha> {

    private static final long serialVersionUID = 1L;

    public CampanhaSerializer() {
        this(null);
    }

    public CampanhaSerializer(Class<Campanha> c) {
        super(c);
    }

    @Override
    public void serialize(Campanha c, JsonGenerator jg, SerializerProvider sp) throws IOException {
        jg.writeStartObject();
        jg.writeNumberField("id", c.getId());
        jg.writeObjectField("nome", c.getNome());
        jg.writeEndObject();
    }

}
