
package com.alessiojr.ipc.competicao.service;

import com.alessiojr.common.enums.Status;
import com.alessiojr.ipc.competicao.model.Competicao;
import com.alessiojr.ipc.competicao.repository.CompeticaoRepository;
//import com.alessiojr.freeTests.model.Competicao;
import com.alessiojr.freeTests.repository.PessoaTesteRepository;
import com.alessiojr.security.enums.PermissionRoles;
import com.alessiojr.security.model.Usuario;
import com.alessiojr.security.service.CurrentUserService;
import java.util.Optional;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.data.domain.Sort;
import org.springframework.stereotype.Service;

@Service
public class CompeticoesService {
   
    @Autowired
    private CompeticaoRepository<Competicao> competicoes;

    @Autowired
    private CurrentUserService currentUser;

    public Page<Competicao> findByNameContaining(String name, Integer pagina) {
       
        return this.competicoes.findByNameContaining(name, PageRequest.of(pagina, 10, Sort.by(Sort.Direction.ASC, "name")));
    }

    public Page<Competicao> findAll(Integer pagina) {
        return this.competicoes.findAll(PageRequest.of(pagina, 10));
    }

    public Competicao insert(Competicao competicao) {

//        Optional<Usuario> criador = this.currentUser.getCurrentUser();
//        if (criador.isPresent()) {
//            if (criador.get().getPermissoes().stream()
//                    .anyMatch(p -> p.getPermissao() == PermissionRoles.ROLE_ADMINISTRADOR)) {
//                competicao.setStatus(Status.PUBLICO);
//            } else {
//                competicao.setStatus(Status.PRIVADO);
//            }
//        } 

        return this.competicoes.save(competicao);
    }

    public Optional<Competicao> findById(Long id) {
        Optional<Competicao> competicao = competicoes.findById(id);
        if (!competicao.isPresent()) {
            return Optional.empty();
        }
        return competicao;
    }

    public Competicao update(Competicao competicao, Competicao existente) {
        BeanUtils.copyProperties(competicao, existente, "idCompeticao");
        return this.competicoes.save(competicao);
    }

    public void deleteById(Long id) {
        Optional<Competicao> op = this.competicoes.findById(id);
        if (op.isPresent()) {
           // op.get().setStatus(Status.INATIVO);
            this.competicoes.save(op.get());
        }
    }
    
}
