package com.alessiojr.ipc.problemManager.repository;

import com.alessiojr.ipc.problemManager.model.CasoDeTeste;
import java.util.Optional;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;


public interface CasoDeTesteRepository<C extends CasoDeTeste> extends JpaRepository<CasoDeTeste, Long>{
    
    public Optional<CasoDeTeste> findById(String id);
    //public Optional<CasoDeTeste> findByDescricao(String descricao);
    public Page<CasoDeTeste> findAll(Pageable pageable);
    
    @Query("SELECT a FROM CasoDeTeste a WHERE "
            + "a.descricao LIKE CONCAT('%', :descricao, '%') AND "
            + "a.status != 'INATIVO'")
    public Page<C> findByDescricaoContaining(String descricao, Pageable pageable);
    
}
