package com.alessiojr.ipc.problemManager.repository;

import java.util.Date;
import java.util.Optional;
import com.alessiojr.ipc.problemManager.model.Solucao;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;


    public interface SolucaoRepository<T extends Solucao> extends JpaRepository<Solucao, Long>{
    
    public Optional<Solucao> findById(long id);
   // public Optional<Solucao> findByCodigofonteAndId(long id, String codigofonte);
    public Optional<Solucao> findByCodigofonte(String codigofonte);
    
     @Query("SELECT a FROM Solucao a WHERE "
            + "a.codigofonte LIKE CONCAT('%', :codigofonte, '%') AND "
            + "a.status != 'INATIVO'")
    public Page<T> findByCodigofonteContaining(String codigofonte, Pageable pageable);
    
}