package com.alessiojr.ipc.question.model;

import com.alessiojr.common.enums.Status;
import com.alessiojr.ipc.question.enums.OpcaoAlternativa;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.Date;
import java.time.LocalDate;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

@Entity
@Getter @Setter
@Table
@ApiModel(description = "Class representing a suject")
public class MultiplaEscolha extends Questao implements Serializable {

    @Id
    @Column(updatable = false, nullable = false)
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(notes = "The database generated suject ID")
    private Long id;
    
    @Enumerated(EnumType.STRING)
    @ApiModelProperty(notes = "Alternativa Correta")
    private OpcaoAlternativa alternativaCerta;
    
    
    @Size(min = 3, max =250)
    @ApiModelProperty(notes = "Alternativas")
    @Column(length = 250)
    private String letras;
    
//    @Column(name="dtCadastro", columnDefinition = "date")
//    @DateTimeFormat(pattern = "dd/MM/yyyy")
//    private LocalDate dtCadastro;
    
    
    //@NotEmpty
    //@NotBlank
      @NotNull
    @Enumerated(EnumType.STRING)
    private Status status;
        
    public MultiplaEscolha() {
    }

    public MultiplaEscolha(long id, String enunciado, String letras, Date dtCadastro) {
        this.id = id;
        this.enunciado = enunciado;
        this.letras = letras;
        this.dtCadastro = dtCadastro;
    }


}
