package com.alessiojr.ipc.school.repository;

import com.alessiojr.ipc.school.model.Aluno;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.Query;
import java.util.Optional;
import org.springframework.data.jpa.repository.JpaRepository;


public interface AlunoRepository<T extends Aluno> extends JpaRepository<Aluno, Long>{
    
    public Optional<Aluno> findById(Long id);
    public Optional<Aluno> findByNomeAndCpf(String nome, String cpf);
    
    @Query("SELECT a FROM Aluno a WHERE "
            + "a.nome LIKE CONCAT('%', :nome, '%') AND "
            + "a.status != 'INATIVO'")
    public Page<T> findByNomeContaining(String nome, Pageable pageable);
}
