package com.alessiojr.ipc.school.repository;

import java.util.Optional;
import com.alessiojr.ipc.school.model.Disciplina;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;


public interface DiciplinaRepository<T extends Disciplina> extends JpaRepository<Disciplina, Long>{
    
    public Optional<Disciplina> findByCurso(String curso);
    public Optional<Disciplina> findByNomeAndCurso(String nome, String curso);
    
     @Query("SELECT a FROM Disciplina a WHERE "
            + "a.nome LIKE CONCAT('%', :nome, '%') AND "
            + "a.status != 'INATIVO'")
    public Page<T> findByNomeContaining(String nome, Pageable pageable);
}
