package com.alessiojr.ipc.submission.repository;

import java.util.List;

import com.alessiojr.ipc.submission.model.Submission;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;

/**
 *
 * @author leonamtv
 * @author André Marcelino de Soua Neves
 */
public interface SubmissionRepository extends JpaRepository<Submission, Long> {

    public List<Submission> findByExecutedAndJudged(boolean executed, boolean judged);

    public List<Submission> findByExecuted(boolean executed);


    @Query("SELECT a FROM Submission a WHERE "
            + "a.submitid LIKE CONCAT('%', :query, '%')")
    public Page<Submission> findByQuery(String query, Pageable pageable);

}
