package com.alessiojr.ipc.submission.service;

import com.alessiojr.common.enums.Status;
import com.alessiojr.ipc.submission.model.Submission;
import com.alessiojr.ipc.submission.repository.SubmissionRepository;
import com.alessiojr.security.enums.PermissionRoles;
import com.alessiojr.security.service.CurrentUserService;
import java.util.Optional;

import org.hibernate.TypeMismatchException;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.stereotype.Service;

@Service
public class SubmissionService {

    @Autowired
    private SubmissionRepository submissions;

    @Autowired
    private CurrentUserService currentUser;

    public Page<Submission> findByQuery(Optional<String> query, Integer pagina) {
        if (query.isPresent()) {
            return this.submissions.findByQuery(query.get(), PageRequest.of(pagina, 10));
        } else {
            return this.submissions.findAll(PageRequest.of(pagina, 10));
        }
    }

    public Page<Submission> findAll(Integer pagina) {
        return this.submissions.findAll(PageRequest.of(pagina, 10));
    }

    public Optional<Submission> findById(Long id) {
        Optional<Submission> submission = submissions.findById(id);
        if (!submission.isPresent()) {
            return Optional.empty();
        }
        return submission;
    }

    public void deleteById(Long id) {
        this.submissions.deleteById(id);
    }

    public Submission save(Submission submission) {
        return this.submissions.save(submission);
    }

}
