package com.alessiojr.laboratory.repository;

import com.alessiojr.laboratory.model.Computador;
import java.util.Optional;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;


import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;


public interface ComputadorRepository<T extends Computador> extends JpaRepository<Computador, Long>{
  
    public Optional<Computador> findByModeloAndCorAndMarca(String modelo, String cor,String marca);
    
    @Query("SELECT c FROM Computador c WHERE "
            + "c.modelo LIKE CONCAT('%', :modelo, '%') AND "
            + "c.status != 'INATIVO'")
    public Page<T> findByModeloContaining(String modelo, Pageable pagina);
    
}
