package com.alessiojr.laboratory.repository;

import com.alessiojr.laboratory.model.Hardware;
import java.util.Optional;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;

public interface HardwareRepository<T extends Hardware> extends JpaRepository<Hardware, Long>{
    
    public Optional<Hardware> findByModelo(String modelo);
    public Optional<Hardware> findByMarcaAndModelo(String marca, String modelo);
    
    @Query("SELECT a FROM Hardware a WHERE "
            + "a.modelo LIKE CONCAT('%', :modelo, '%') AND "
            + "a.status != 'INATIVO'")
    public Page<T> findByModeloContaining(String modelo, Pageable pageable);
}