package com.alessiojr.laboratory.repository;
import com.alessiojr.laboratory.enums.OpcaoLaboratorio;
import java.util.Date;

import java.util.Optional;

import com.alessiojr.laboratory.model.Instalacao;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;


public interface InstalacaoRepository<T extends Instalacao> extends JpaRepository<Instalacao, Long>{
    
    //public Optional<Software> findById(Long Id);
    public Optional<Instalacao> findBySoftwareAndData(String software, Date data);

        @Query("SELECT a FROM Instalacao a WHERE "
            + "a.software LIKE CONCAT('%', :software, '%') AND "
            + "a.status != 'INATIVO'")
    public Page<T> findBySoftwareContaining(String software, Pageable pageable);
}
