package com.alessiojr.laboratory.repository;

import com.alessiojr.laboratory.model.ProblemaTecnico;
import java.util.Optional;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.Query;

public interface ProblemaTecnicoRepository<T extends ProblemaTecnico> extends JpaRepository<ProblemaTecnico, Long>{
    
    public Optional<ProblemaTecnico> findById(Long id);
    public Optional<ProblemaTecnico> findByIdAndTitulo(Long id, String titulo);
    
         @Query("SELECT p FROM ProblemaTecnico p WHERE "
            + "p.titulo LIKE CONCAT('%', :titulo, '%') AND "
            + "p.status != 'INATIVO'")
    public Page<T> findByTituloContaining(String titulo, Pageable pageable);
}
