package com.alessiojr.laboratory.repository;
import java.util.Date;

import java.util.Optional;

import com.alessiojr.laboratory.model.Software;
import java.time.LocalDate;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;


public interface SoftwareRepository<T extends Software> extends JpaRepository<Software, Long>{
    
    //public Optional<Software> findById(Long Id);
    public Optional<Software> findByNomeAndVersaoAndDisciplinaAndData(String nome, String Versao ,String Disciplina, LocalDate data);
    
        @Query("SELECT a FROM Software a WHERE "
            + "a.nome LIKE CONCAT('%', :nome, '%') AND "
            + "a.status != 'INATIVO'")
    public Page<T> findByNomeContaining(String nome, Pageable pageable);
    
    
}
