package com.alessiojr.location.model;

import java.io.Serializable;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.ForeignKey;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;

@Entity
@Table(name = "Endereco")
@Getter
@Setter
@EqualsAndHashCode(onlyExplicitlyIncluded = true)
public class Endereco implements Serializable {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @EqualsAndHashCode.Include
    private Long idEndereco;

    private String logradouro;

    private String cep;

    private Long numero;

    private String bairro;
    
    private String complemento;

    private String observacao;
    
    private double latitude;
    private double longitude;

    @ManyToOne(fetch = FetchType.EAGER)
    @JoinColumn(
            foreignKey = @ForeignKey(name = "FK_Endereco_cidade"),
            name = "cidade_idCidade",
            nullable = false,
            referencedColumnName = "idCidade")
    private Cidade cidade;

}
