package com.alessiojr.location.repository;


import com.alessiojr.location.model.Cidade;
import java.util.List;
import java.util.Optional;
import org.springframework.data.domain.Sort;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;

public interface CidadeRepository extends JpaRepository<Cidade, Long> {
    
    public Optional<Cidade> findByNomeLike(String nome);
    
    @Query("SELECT c FROM Cidade c WHERE c.estado.uf LIKE UPPER(:uf)")
    public List<Cidade> findByEstado(String uf, Sort sort);   
}
