package com.alessiojr.location.repository;
import java.util.Date;

import java.util.Optional;

import com.alessiojr.location.model.Endereso;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;


public interface EnderesoRepository <T extends Endereso> extends JpaRepository<Endereso, Long>{
    
    public Optional<Endereso> findByCep(String cep);
    public Optional<Endereso> findByProprietario(String proprietario);
    public Page<Endereso> findAll(Pageable pageable);
          
        @Query("SELECT e FROM Endereso e WHERE "
            + "e.proprietario LIKE CONCAT('%', :proprietario, '%') AND "
            + "e.status != 'INATIVO'")
    public Page<T> findByProprietarioContaining(String proprietario, Pageable pageable);
    
    
}
