package com.alessiojr.location.repository;

import com.alessiojr.location.model.Estado;
import java.util.Optional;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;


public interface EstadoRepository<T extends Estado> extends JpaRepository<Estado, Long>{
    
    public Optional<Estado> findById(long id);
    public Page<Estado> findAll(Pageable pageable);
        
    public Optional<Estado> findByUf(String uf);

    public Optional<Estado> findByRegiao(String regiao);
    public Optional<Estado> findByNomeAndUf(String nome, String uf);
    
    @Query("SELECT a FROM Estado a WHERE "
            + "a.nome LIKE CONCAT('%', :nome, '%') AND "
            + "a.status != 'INATIVO'")
    public Page<T> findByNomeContaining(String nome, Pageable pageable);
}