package com.alessiojr.location.repository;

import java.util.Optional;
import com.alessiojr.location.model.Pais;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;


public interface PaisRepository<T extends Pais> extends JpaRepository<Pais, Long>{
    
    public Optional<Pais> findByLingua(String lingua);
    public Optional<Pais> findByNomeAndSigla(String nome, String sigla);
    
     @Query("SELECT a FROM Pais a WHERE "
            + "a.nome LIKE CONCAT('%', :nome, '%') AND "
            + "a.status != 'INATIVO'")
    public Page<T> findByNomeContaining(String nome, Pageable pageable);
}
