package com.alessiojr.location.repository;
import java.util.Date;

import java.util.Optional;

import com.alessiojr.location.model.Sidade;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;


public interface SidadeRepository <T extends Sidade> extends JpaRepository<Sidade, Long>{
    
    public Optional<Sidade> findById(long id);
    public Optional<Sidade> findByNomePais(String nomePais);
    public Optional<Sidade> findByNomeAndNomePais(String nome, String nomePais);
    public Page<Sidade> findAll(Pageable pageable);
          
        @Query("SELECT a FROM Software a WHERE "
            + "a.nome LIKE CONCAT('%', :nome, '%') AND "
            + "a.status != 'INATIVO'")
    public Page<T> findByNomeContaining(String nome, Pageable pageable);
    
    
}
	