package com.alessiojr.location.resource;

import com.alessiojr.location.model.Cidade;
import com.alessiojr.location.repository.CidadeRepository;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Sort;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/cidades")
public class CidadeResource {

    @Autowired
    private CidadeRepository cidades;

    @GetMapping
    public List<Cidade> findAll() {
        return this.cidades.findAll(Sort.by(Sort.Direction.ASC, "nome"));
    }
    
    @GetMapping("/{uf}")
    public List<Cidade> findAllByEstado(@PathVariable String uf) {
        return this.cidades.findByEstado(uf, Sort.by(Sort.Direction.ASC, "nome"));
    }


}
