package com.alessiojr.security.model;

import com.alessiojr.security.enums.PermissionRoles;
import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.UniqueConstraint;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;

@Entity
@Table(name = "Permissao", 
        uniqueConstraints = @UniqueConstraint(columnNames = "permissao", 
                name = "UK_Permissao_permissao"))
@Getter
@Setter
@EqualsAndHashCode(onlyExplicitlyIncluded = true)
public class Permission implements Serializable {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @EqualsAndHashCode.Include
    private Long idPermissao;

    @NotNull
    @NotEmpty
    @Enumerated(EnumType.STRING)
    @Column(length=64)
    private PermissionRoles permissao;

}
