package com.alessiojr.security.model;

import com.alessiojr.security.model.Auditable;
import java.time.LocalDate;
import javax.persistence.Entity;
import javax.persistence.ForeignKey;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;

@Entity
@Table(name = "RecuperarSenha")
@Getter
@Setter
@EqualsAndHashCode(callSuper = true, onlyExplicitlyIncluded = true)
public class RecuperarSenha extends Auditable{

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @EqualsAndHashCode.Include
    private Long idRecuperarSenha;

    @NotNull
    @NotEmpty
    private String token;
    
    @NotNull
    private LocalDate validade;
    
    @NotNull
    @NotEmpty
    private String senhaTemporaria;

    @ManyToOne
    @JoinColumn(
            foreignKey = @ForeignKey(name = "FK_RecuperarSenha_usuario"),
            name = "usuario_idUsuario",
            nullable = false,
            referencedColumnName = "idUsuario")
    private Usuario usuario;
    
}
