package com.alessiojr.security.resource;

import com.alessiojr.security.model.Permission;
import com.alessiojr.security.repository.PermissionRepository;
import io.swagger.annotations.Api;
import java.util.List;
import java.util.Optional;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/permissions")
@Api(value = "/permissions", tags = "Persmissions(Permissões de Acesso)",  description = "Manipular as permissões de Acesso")
public class PermissaoResource {

    @Autowired
    private PermissionRepository permissoes;
    
    @GetMapping
    public List<Permission> findAll(){
        return permissoes.findAll();
    }
    
    @GetMapping("/{permissao}")
    public ResponseEntity<Permission> findByPermissao(@PathVariable String permissao){
        Optional<Permission> optional = permissoes.findByPermissao(permissao);
        if(!optional.isPresent()){
            return ResponseEntity.notFound().build();
        }
        return ResponseEntity.ok(optional.get());
        
    }

}
