package com.alessiojr.security.service;

import com.alessiojr.security.model.Usuario;
import java.util.Optional;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.core.Authentication;
import org.springframework.security.core.context.SecurityContext;
import org.springframework.security.core.context.SecurityContextHolder;
import org.springframework.stereotype.Service;

@Service
public class CurrentUserService {

    @Autowired
    private UsuarioService usuarios;
    
    public Optional<Usuario> getCurrentUser(){
        Optional<Object> us = Optional.ofNullable(SecurityContextHolder.getContext())
                .map(SecurityContext::getAuthentication)
                .filter(Authentication::isAuthenticated)
                .map(Authentication::getPrincipal);

        if(us.get() instanceof String){
            return this.usuarios.doLogin((String) us.get());
        }
        
        return Optional.empty();
    }
    
    public Optional<String> getCurrentUsername(){
        Optional<Object> us = Optional.ofNullable(SecurityContextHolder.getContext())
                .map(SecurityContext::getAuthentication)
                .filter(Authentication::isAuthenticated)
                .map(Authentication::getPrincipal);

        if(us.get() instanceof String){
            return Optional.of((String) us.get());
        }
        
        return Optional.empty();
    }
}
