package com.alessiojr.security.storage;

import com.alessiojr.config.property.AppProperties;
import java.io.File;
import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Path;
import java.nio.file.Paths;
import java.util.UUID;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.core.io.FileSystemResource;
import org.springframework.core.io.Resource;
import org.springframework.stereotype.Component;
import org.springframework.web.multipart.MultipartFile;

@Component
public class UsuarioStorage {

    // UPLOADS SÓ FUNCIONARAM PARA PASTAS RELATIVAS A APLICACAO
    @Autowired
    private AppProperties property;

    private final String diretorioTemp = "usuarios/";

    public String salvar(MultipartFile foto) {
        Path padrao = Paths.get(this.property.getDiretorioUploadFotos());
        Path temporario = padrao.resolve(diretorioTemp);
        String nomeFoto = criarNomeUnicoParaFoto(foto.getOriginalFilename());
        Path arquivoPath = temporario.resolve(nomeFoto);

        try {
            Files.createDirectories(temporario);
            foto.transferTo(arquivoPath);

            return nomeFoto;
        } catch (IOException e) {
            System.out.println(e.getMessage());
            return null;
        }
    }

    protected String criarNomeUnicoParaFoto(String nomeAtual) {
        return UUID.randomUUID().toString() + "_" + nomeAtual;
    }

    public void removerFoto(String nome) {
        Path padrao = Paths.get(this.property.getDiretorioUploadFotos());
        Path diretorioPath = padrao.resolve(this.diretorioTemp);
        Path arquivoPath = diretorioPath.resolve(nome);
        File foto = new FileSystemResource(arquivoPath).getFile();
        if (foto.exists()) {
            foto.delete();
        }
    }

    public Resource getFoto(String nome) {
        Path padrao = Paths.get(this.property.getDiretorioUploadFotos());
        Path diretorioPath = padrao.resolve(this.diretorioTemp);
        return new FileSystemResource(diretorioPath.resolve(nome));
    }

}
